% This is the french torture file for all formats.
%                           Copyright GUTenberg-Bernard Gaulle as in french.doc
%
%  passer en 8 bits conformment  votre systme
%
%%      checksum        = "53674 2824 12244 95546"
%%
% For better debugging:
\wlog{Formating \jobname\space with\space\frenchname\space(\frenchstyleid)}
%
\ifx\ProvidesFile\undefined\def\ProvidesFile#1[#2]{}\fi%
\ifx\undefined\FmsG\def\FmsG{}\def\SmsG{}\fi
%
{\catcode`\<=\active\catcode`\>=\active%
% Je veux :
%\global\def<{\left\langle}\global\def>{\right\rangle}
% Et pour ne pas pouvoir avoir l'effet que localement, 
% je fais : 
\gdef<{\myinf}\gdef>{\mysup}
}
\label{nulllabel}% null \label for AmSTeX test \ref within a \ref
\iflatex\makeindex \makeglossary 
        \csname frhyphex\endcsname% load (again) the exceptions, outside babel
        \def\NL#1{\Sauter#1Lignes} 
        \begin{document}
        \makeatletter
        \ifx\babel@savevariable\undefined%
                             \let\FRENCH\frenchTeXmods% 
                        \else\def\FRENCH{\selectlanguage{french}}% pour babel
        \fi%
        \makeatother
        \csname onecolumn\endcsname % avoid writting \onecolumn 
                                    % (special effect in frencht.tex)
        \renewcommand{\thepage}{\roman{page}}%
        \ifx\documentclass\undefined\else% for 2e
        % As 2e doesn't accept \verb in arguments:
        \gdef\myverb|#1|{%\nonfrench
                         \texttt{#1}%
                         %\endnonfrench
                         \relax}%
        \fi
\else
        \let\FRENCH\frenchTeXmods% 
        \def\NL#1{\par} 
\fi
\ifx\myverb\undefined\let\myverb=\verb\fi%
% global here is just req. for TeX--XeT tests.
\global\let\myinf\inferieura% A no-op def
\global\let\mysup\superieura% for a temporary action
%\setbox0\hbox{l'{\tt a}}% Denis B. Roegel pb due to unprotected chars in NFSS2
\ifx\undefined\english\let\english\relax\fi%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Mes \ldots sont maintenant $\ldots$ a cause de AmSLaTeX V1.1
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\HyphDiff#1#2{{\setbox0=\vbox{%
                   \pretolerance=-1 \hyphenpenalty=-10000
                   \hsize=0pt \leftskip=0pt \rightskip=0pt \parfillskip=0pt
                   \parindent=0pt \hfuzz=\maxdimen \interlinepenalty=0
                   \clubpenalty=0 \widowpenalty=0 \brokenpenalty=0
                       \hskip 0pt #1}%
                   \setbox2=\hbox{}%
                   \setbox9=\vbox{\unvbox 0 \loop \unskip \setbox1=\lastbox
                                            \ifhbox 1 
                                                 \global\setbox 2 = \hbox{%
                                            \unhbox 1 \discretionary{}{}{}%
                                                           \unhbox 2}%
                                            \repeat}%
\setbox3\hbox{#2}\ifnum\wd2=\wd3\else
\typeout{-31- Wrong French Hyphenation\string! 
               Are you sure to run with a format ***********}
\typeout{-31- in which the french patterns were 
                installed at initex time\string? ***********}
\ifECM\else%
\typeout{-32- if yes try to switch to T1 font 
             encoding (\noexpand\usepackage[T1]{fontenc})***}
\fi%
\showhyphens{#1}\typeout{(should be\string: #2) 
  \string<\string<======== *********************************}
\fi}}
\HyphDiff{ventualit}{ven-tua-lit}
\HyphDiff{dgazonnage}{d-ga-zon-nage}
\HyphDiff{chromosomique}{chro-mo-so-mique}
%%%%
\SmsG%
\typeout{V\'%
         erification de la sortie de caract\`%
         eres 8-bits \string:}
\message{L'\'% \typeout ne transforme pas en 8bits pour l'instant.
         et\'%
         e est l\`%
         a en ao\^%
         ut \string!} 
\def\GOfrench{plain}% the following not running with frplain.sty
\ifx\fmtname\GOfrench\else%
\typeout{Essai de macro d'accentuation dans un ordre \string\showhyphens %
         \string:}
\showhyphens{Faut-il croire \`%
             a l'\'%
             ETERNIT\'%
             E ? \'%
             eludons ...}
\showhyphens{Ao\^%
             ut 2001 ou l'autre \`%
             ere ...}
\fi%
\FmsG%
%
\english% Title page is in english 
\title{\fbox{ French Style%
             \thanks{We are here in english, notice the problem when we use,
             like in {\tt frenchla}, a
             {\tt\backslash
               fnsymbol} in a box.}%
            }\\ \ \\%
             Version \frenchstyleid\\ \ \\
             ``Torture'' Test (\jobname) \\ with
             \ifx\encodingdefault\undefined Unknown
              \else\encodingdefault{}
             \fi Font Encoding\\\ }
  \author{Bernard {\sc Gaulle}%
          \thanks{Thanks to those good guys who helped me. 
                 This is also a test of {\tt\backslash refmark}.%
                  \label{title\protect:thanks}
                 }%
          \\ \\ et...\refmark{title:thanks}%
         }
\date{Printed on \today} 
\maketitle\setcounter{page}{2}\thispagestyle{empty}
\cleardoublepage\french
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\onecolumn
\sommaire[4]
\bigskip 
\begin{center}
\noindent\fbox{%
\begin{minipage}[t]{0.5\textwidth}
\begin{center} \fbox{\parbox{5cm}{{\bf Remarque} : \\ la commande
{\tt\backslash som\-maire}\label{pbverb}%
\footnote{Cette note a t demande depuis une minipage.}%
\footnote{Cette deuxime note aussi.} 
%%%%NB : \verb|\sommaire| ou \verb|\tableofcontents| produisent des HORREURS,
%%%%     lorsqu'ils ont utilises dans un \fbox, BUG LATEX !
 est un apport du style {\tt french}.\hfill}} 
\end{center}
\end{minipage}
}
\end{center}

{\def\thefootnote{\fnsymbol{footnote}}
Essai de note avec \verb|\fnsymbol|
\footnote{Note avec une toile.}.

\def\thefootnote{\relax}
Essai de note de bas de page non num\'erot\'ee
\footnote{Note non numrote.}.
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\cleardoublepage
\chapter*{\prefacename}
{\em Certains croient qu'une prface peut apporter de la valeur au livre,
moi je pense plutt que a apporte de la {\em valeur} 
 l'auteur...} (dans
tous les sens du terme).

\cleardoublepage

\twocolumn 
\iflatex\renewcommand{\thepage}{\arabic{page}}\setcounter{page}{1}\fi%
\chapter*{Introduction}

\begin{motsclef}
french, style, francisation, francophonie, multilingue, 
english, option, extension. 
\end{motsclef}

\begin{resume} Ce document a t conu
uniquement pour tester intensivement l'option de style %
\glossary{ : ; style ? ! }\index{ : ; style ? }%
\index{french!Le point d'exclamation est un caractre spcial de Makeindex}%
\index{<@{\tt\protect\inferieura} ({\tt\protect\backslash inferieura})}% 
\index{>@{\tt\protect\superieura} ({\tt\protect\backslash superieura})}%
\index{Magic di N'Konga (auteur clbre)}% 
\verb|french|.  
\end{resume}

\bigskip Notez que les deux environnements \verb|resume| et \verb|motsclef|
(ainsi que \verb|keywords|)
sont des apports de l'option de style
\verb|french|.

\bigskip Si le libell  Rsum  apparat dans la partie
 anglaise, cela
signifie que le style \verb|french| ne possdait pas de dfinition
d'\verb|\abstract| et donc l'a remplac par \verb|\resume|. Cela signifie
aussi que les libells anglais n'ont pas t dfinis 
(\verb|\captionnames|%
\footnote{L'option de style {\tt english} est fournie conjointement avec le
style {\tt french} ; {\tt captionnames} y est dfini. Cette option {\tt
english} est automatiquement appele par l'option {\tt french} dans le
cas que nous avons cit.}
 n'tait pas dfini par les styles ou options appels avant
 \verb|french|).
Rappelez-vous aussi que \verb|\abstract| ne fait pas partie du style
\verb|book|.

Remarquez les diffrences entre les numros de notes de bas de page en 
franais et en anglais, ainsi que l'impression de ce mme numro en
bas de la page.

\english\newpage
\begin{keywords}
French, Style, Option, Package, French-Speaking usage, English, Multilingual.
\end{keywords}

\begin{abstract} The object of this paper is to test intensively the french
style option.  \end{abstract}

\bigskip Notice that the three environments 
\verb|resume|, \verb|keywords| or \verb|motsclef|
are introduced by the french style.

\bigskip Notice that if the abstractname printed here is not ``Abstract'' you
are using styles that have no \verb|\abstractname| defined for eng\-lish.  The
english style defining such captions are loaded only if \verb|\captionsnames|%
\footnote{The {\tt english} option of style is given with the french style,
so {\tt captionnames} are normally defined because the french style call
automatically the {\tt english} option in the pre\-viously cited case} was
previously undefined.  (Remember also that as \verb|\abstract| is not defined
in the \verb|book| style the \verb|french| option assume it is a
\verb|\resume|.)\NL1

Notice the different typesetting of the footnote numbers in French and English
as well as the printing of that numbers before the footnote text.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\french
\part{Ce qui marche est ici...}
\disallowuchyph% ce que je prefere...

\chapter{Avertissements}

Seul le document authentique qui est fourni par l'auteur
 sous une forme compose
constitue la rfrence. Cela veut dire que l'installateur de l'option
\verb|french| sur son systme doit comparer son rsultat 
(sous forme papier ou
fichier \verb|.dvi|) avec la forme authentique fournie par l'auteur.

\bigskip


\bigskip Le style \verb|french| a t conu pour fonctionner 
avec la majorit
des {\em formats\/} mais certaines commandes reposant 
particulirement sur des
ordres \LaTeX{} deviennent donc inoprantes en dehors 
de cet environnement.

\bigskip \AllTeX{} est mon logo ; il symbolise {\em tous les \TeX{}} ; on peut
l'imprimer correctement dans toutes les polices ({\em \AllTeX}, {\bf \AllTeX}, 
{\sf \AllTeX}, {\tt \AllTeX}, ...) si on dispose de NFSS.
\footnote{Le document de rfrence ({\tt frenchrf})
a t produit avec. Ce document-ci a t compos avec le format 
{\tt \fmtname}.}

\newpage\english Only the authentic author's document in a composed form is
the reference.  That means that the \verb|french| option site installator must
compare his result (paper or \verb|.dvi| file) with the authentic form
provided by the author.
\NL3

\bigskip The french style was designed to work with all {\em formats\/} but a
lot
 of control words use \LaTeX{} commands and therefore these control words
 become null commands outside the \LaTeX{} world.

\bigskip \AllTeX{} is my logo ; it's a  symbol for expressing 
{\em all \TeX{}} ; one can print it correctly in all shapes
({\em \AllTeX}, {\bf \AllTeX}, 
{\sf \AllTeX}, {\tt \AllTeX}, etc.) only if you are using NFSS.\footnote{The
reference document was produced with NFSS of {\tt \fmtname}.}  

\french
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\chapter{La torture} 

\section{Le saviez-vous ?} Nos journaux, livres, revues,
articles scientifiques ou autres ont t
 pendant ces trente dernires annes imprims 
par des machines d'origine
amricaine. Ainsi, petit  petit, nous perdmes 
l'habitude de lire des
majuscules accentues parce que tout simplement les polices
 de caractres
utilisables sur ces machines n'en comportaient pas.

L'usage de plus en plus gnralis de l'infor\-ma\-tique 
{\em amricaine} fit ainsi disparatre pendant un temps tous
 les accents de notre langue crite.

De la mme manire un certain nombre de 
{\em mauvaises habitudes} furent
prises quasiment inconsciemment tout simplement parce que les programmes
informatiques ne pouvaient pas faire autrement. Ainsi de nombreuses {\it
coquetteries} de notre typographie sont tombes dans l'oubli.

Saviez-vous par exemple qu'on n'imprime pas des guillemets comme ceci `` '' ni
mme ` ' mais ainsi   ? Nous nous autoriserons toutefois
  utiliser dans
ce document ces guillemets %\noenglishquote 
(` ') que nous considrons comme
{\em techniques}.

\newpage\english \section{Did you know that?}
Our (french)
newspapers, books, magazines, scientific articles and other things have
been printed with american machines during these last thirty years. So our
habits to read accented uppercase letters declined because they simply were
not included in the machinery.\NL2

Together with American computer usage growth, all french
diacritics disappeared from our french written language.\NL1

In a same way {\em bad
habits} took place, inconsciously, for the only reason that computer programs
could not do otherwise. So, a lot of  french typographic {\em coquetteries\/}
are largely forgotten.\NL2

 Did you know for example that we never type french
guillemets like this \verb|`` ''| neither \verb|` '| but
 \verb| |? Instead, we will
authorised ourselves to use (\verb|` '|) in this document 
because we consider they are {\em technical} guillemets.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
*** Cet espace est laiss intentionellement  blanc ***
\NL3
\section{Typographie franaise}
%\noenglishquote 
La typographie franaise est spcifique en ce qui concerne
l'utilisation des signes sui\-vants : 
`\verb|.| \verb|:| \verb|;| \verb|!| \verb|?| \verb|| \verb||'. 

La rpartition des espaces dans une ligne se fait de faon 
quitable entre les
mots (jamais  l'intrieur des mots) et aprs 
la ponctuation (c'est le
\verb|\frenchspacing| de \TeX{}) contrairement  la
 typographie anglaise.

Les `\verb|; ! ?|' doivent tre prcds d'une espace fine 
inscable.  C'est
ce que nous avons appliqu dans le style \verb|french|.  
Le cas du `\verb|?|'
a t trait spcialement car l'espace fine ayant 
t jug trop grande (par
des spcialistes), a t rduit tout en adjoignant une peu de 
{\em glue} d'extensibilit.

En ce qui concerne le `\verb|:|', le code typogra\-phi\-que%
\footnote{Nous
avons choisi d'adopter les recommandations de l'imprimerie nationale
franaise} prcise qu'il est prcd 
d'une espace {\em mot\/} 
inscable.
D'autres ont jug que c'tait inesthtique et cela a t 
remplac par une espace fine. 

Les guillemets franais  doivent tre suivis d'une espace mot 
inscable qui
a t remplace ici par une espace moindre. 
Les guillemets fermants 
sont, eux, prcds de la mme espace.

Lorsque la ligne n'est pas assez remplie et qu'il existe un `:', les
typographes ont --~semble-\hbox{t-il}~-- l'habitude 
de rpartir largement les espaces autour
des deux points. C'est ce qui a t fait dans le style 
\verb|french| qui
pourra ventuellement produire une ligne : 
peu remplie\footnote{Le cas prsent ici a t 
cr artificiellement et peut donc apparatre exagr.}%
\penalty-10000% 
 ou aussi bien une ligne se terminant ainsi :  {\em comme font les pros\/} 
lorsqu'ils ne trouvent pas d'autre moyen mais il devrait s'agir que de cas
extrmes.  noter que cela a pour avantage de rduire les
\verb|over/under-full hbox| de faon significative.

Paragraphe de remplissage...\\ ...\\... pour vrifier que le `:' ne 
termine ni la page ni la colonne. Ainsi : 

%\englishquote 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\begin{itemize} 
\item %qu'il s'agisse de verbatim ou d'une liste d'lments 
les deux points et  le  texte qui suit  
sont  tous  deux sur la  mme  page.
\end{itemize}
%\newpage % already done with the previous list
\english\NL1

\section{French printing}
\ \\ French printing use specific typographic rules specially in concern with 
the following: `. : ; ! ?' and french guillemets.

Interword spacing in a line is allways equal (and never modified inside a
word). It's the same way after punctuation (standard \verb|\frenchspacing|) as
opposed to the english typography.\NL1 

All `; ! ?' are preceeded by a thin and uncuttable space. We apply this
automatically in the french style. (We have added few stretching {\em glue} to
the question mark).\NL2

Regarding the `:' we have not inserted an inter-word space but a thin space 
and also have added some glue.\NL2

French guillemets are processed the same way. \NL3

In an {\em underfull\/} line containing a `:' man has habits to share spaces
around the double points. This way used in the french style can also produce a
line with a ragged right, as shown in the french column. This technic reduce a
lot of {\em overfull} and {\em underfull} {\tt hboxes} produced by \TeX{}.
\NL3

As shown also, the french style is reluctant to print a double point at the
end of a page or a column.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french%\noenglishquote
\section[Dactylographie franaise]{Rappels concernant la \newline 
dactylographie}

Les habitudes de saisie c.--d. les habitudes dactylographiques,
 veulent que les signes suivants
`\verb|:| \verb|;| \verb|!| \verb|?| \verb||' 
soient toujours prcds d'1 blanc
(barre d'espace sur les claviers) et les \verb|| toujours
suivis d'1 blanc. Le style \verb|french|  remplacera
automatiquement ce blanc ( la composition) par l'espace approprie.

{\moretolerance\moretolerance\moretolerance
Les guillemets franais  (et respectivement ) $\ldots{}$
\footnote{\tthyphenation Avec les options fournies 
telles \vers|A4| et  \vers|double|\-\vers|column| on obtient
 l un \vers|overfull| \vers|hbox| difficilement rductible
de faon automatique mais je l'ai rduit 
avec 3 {\tt\backslash moretolerance}%
\notthyphenation.} 
\par}
%\nooverfullhboxmark

Les vrais guillemets franais  (et respectivement )
s'utilisent toujours doubls (\verb|| et respectivement 
\verb||). Ainsi $<$ et $>$ ne 
sont que des signes mathmatiques et n'ont pas
d'autre sens en franais que : {\em infrieur } et 
{\em suprieur }.

Il est fortement conseill de poursuivre
ces habitudes dactylographiques qui
contribuent aussi  claircir le texte
saisi et donc ainsi  faciliter les
corrections ultrieures.
\NL1

\subsection[Test de la ponctuation franaise 
            \mdseries`\protect\myverb|. : ; ! ?|']
{Test de la ponctuation \newline franaise 
            \mdseries`\protect\myverb|. : ; ! ?|'} 

Le deux points s'imprime comme ceci : s'il est prcd d'1 blanc
(au moins 1) sinon rien n'est chang (par ex. 11:33). Notez 
l'espace aprs le point terminant la phrase ; le point virgule
est aussi prcd d'une espace fine s'il n'est pas coll 
au mot prcdant (comme dans cet exemple d  une faute
de frappe; malheureusement frquente).
{\moretolerance
Oh ! Quoi-donc ? Noter ici l'espacement utilis
devant le `!' et le `?'. Il ne faut
pas oublier aussi de taper le blanc avant, sinon? tout est
%terriblement 
 coll! Voyez-vous la diffrence ? Bravo !
}

Mais pour les documents {\em mal\/} saisis (c.--d. sans blanc) il est
toujours possible de spcifier la sous-option \verb|\untypedspaces|
\untypedspaces pour obtenir une insertion automatique des espaces
manquants comme ici! o il avait t saisi `\verb|ici!|'.
Vrifions pour les autres ponctuations:;? \typedspaces que nous 
n'obtenons pas:;? serres comme ici.

Vrification de l'espacement :

\noindent
\verb|  \typedspaces X~; Y ; Z;| = \typedspaces X~; Y ; Z;

\noindent
\verb|\untypedspaces X~; Y ; Z;| = \untypedspaces X~; Y ; Z; \typedspaces

\newpage\english
\section{French typing}
French typist have some habits. For example they type a space before `: ; ! ?
\verb||' and after \verb||. The french style replace automatically this
blank space by the appropriate spacing.

There is only one kind of quoting in French by the mean of guillemets which
are allways typed \verb|| and \verb||. Usual english simple and double
quotes must be prohibited.

\subsection{{\mdseries\tt\backslash untypedspaces}}
This control command offers the ability to repair automatically a document
badly typed i.e. in which spaces were not typed before french punctuation.
This bypass can help but is not the good way to use daily because there are
many cases where for example a double point must never be preceeded by a space.

Now we verify that the spacing is unchanged in English:

\noindent
\verb|  \typedspaces X~; Y ; Z;| = \typedspaces X~; Y ; Z;

\noindent
\verb|\untypedspaces X~; Y ; Z;| = \untypedspaces X~; Y ; Z; \typedspaces

\subsection{{\mdseries\tt\backslash wrongtypedspaces}}
A french typist may input  spaces before
punctuation as it is usual in French. These unfortunate space
 can be removed by simply leaving \verb|french| by the control
sequence:

\begin{verbatim}
\letpunctuationactivefor
               \wrongtypedspaces
\end{verbatim}

\FRENCH% pour ne pas dire \french
\letpunctuationactivefor\wrongtypedspaces
\english
Let's try the previous example:\par
\noindent
\verb|  X~; Y ; Z;| =  X~; Y ; Z;

Now we say \verb|\nowrongtypedspaces|
\nowrongtypedspaces to come back to the normal
situation.

\vfill

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
\nowrongtypedspaces% to be sure it is set when english text is skipped
\csname StopFrenchLbT\endcsname% special case, temporary.
\section[Test des guillemets franais, 7 (<%
                                          < >%
                                            >) et 8-bits ( )]%
{Test des guillemets \newline franais ( )}
\hyphenation{nor-ma-le-ment}

Les guillemets franais s'crivent et se saisissent 
 normalement  comme ceci : 
\verb| |{\tt nor}\-%
{\tt male}\-{\tt ment }\verb|| 
 ou ventuellement en italiques mais toujours
 \em normalement\/  ; ici nous avons tap au clavier :
\verb| \em| {\tt normalement}\verb| |.
Et en tapant par contre :\\ \verb|\em| 
 {\tt anormale\-ment (sans espace)}\verb|| \  on  obtient...
\em anormale\-ment (sans espace)\/.
Re\-marquez que les guillemets font office d'acco\-lades \TeX{} et que donc
les changements de polices sont restaurs en sortant de la citation.

Pour les documents dj saisis {\em sans espace} le style
\verb|french| insrera systmatiquement un espace  l'endroit
dsir si l'on a donn la sous-option \verb|\untypedspaces|
ainsi \untypedspaces en tapant  nouveau 
\verb|\em| {\tt anormale\-ment (sans espace)}\verb|| on obtient
\em anormalement (sans espace)\/. \typedspaces

Parfois on dsirera remplacer systmatiquement tous les 
guillemets anglais (`` et '') d'un texte par de vrais guillemets 
franais, il
suffira alors de fournir l'trange option :\\
{\tt\backslash noenglishdoublequotes}\\
\noenglishdoublequotes pour obtenir : `` ''.

% regle depuis V3,51 :
%\marginpar{{\small Problme  voir ici\footnotemark.}}
%\footnotetext{Le kerning tant le mme pour les DC que pour les
%CMR mais les glypes diffrents, le rendu typographique est diffrent
%lorsque les 2 guillemets se touchent.}
``  '' (mme test en dbut de paragraphe).\englishdoublequotes
 
Lorsqu'une citation est faite dans un texte, celle-ci commence
toujours par des guillemets.  Cette citation peut se poursuivre sur
plusieurs paragraphes. 

Dans ce cas, le style %\verb|french| 
insrera systmatiquement les guillemets ncessaires 
en dbut de 
chaque paragraphe. 

Mais une citation peut aussi en contenir une autre.  Dans ce cas l'imprimerie
 nationale prcise dans   ses {\em Rgles typographiques} : 
\ancientguillemets
  Lors\-que la premire citation est 
elle-mme place entre 
guillemets, chaque ligne de la seconde dbutera par un 
guillemet ouvrant.  
Ce dispositif, comme on le voit, n'est pas  mis en uvre ici
 (voir son application au paragraphe \ref{noeveryparguillemets}). 
  La deuxime citation peut aussi...

se poursuivre sur un ou 
plusieurs paragraphes.  Notez qu'avant cette citation nous avons 
demand les \verb|\ancientguillemets| 
pour produire ces guillemets fermants
en dbut de ligne. Le \verb|\todayguillemets| rtablit la 
situation une fois
le deuxime niveau termin. \todayguillemets

Il arrive que la fin d'une citation de deux\-ime niveau 
concide avec celle
du premier niveau.   Dans ce cas il faudra coder, comme ici :\\
\verb|\endguillemets| 
 la place de ``\verb||'' \endguillemets. 

2 tests : \fbox{\begin{guillemets} XXX \end{guillemets}}
et  \fbox{X \begin{guillemets} XXX \end{guillemets} X} pour
vrifier l'espacement quand on utilise \verb|\begin| et \verb|\end|.

Le paragraphe suivant va alors dmarrer de faon 
tout  fait normale...

On peut aussi coder :
\begin{verbatim}
\begin{guillemets}
Une citation...
\end{guillemets}
\end{verbatim}
ce qui donnera :
\begin{guillemets}
Une citation...
\end{guillemets}
et en tapant {\em  la \TeX} : \verb|\guillemets{}| \verb|Une citation...| 
\verb|\endguillemets{}| nous devons  obtenir absolument la mme chose :
\guillemets{} Une citation... \endguillemets{}

Vrifions maintenant l'espacement dans les diffrents cas :

\noindent
\fbox{\parbox{2cm}{X\dotfill X}} \%{\tt\backslash typedspaces}
 {\em sans blanc}

\noindent
\fbox{\parbox{2cm}{ X\dotfill X }} \%{\tt\backslash typedspaces} 
{\em normal}

\noindent\untypedspaces
\fbox{\parbox{2cm}{ X\dotfill X }} \%{\tt\backslash untypedspaces} 
{\em avec blanc}

\noindent
\fbox{\parbox{2cm}{X\dotfill X}} \%{\tt\backslash untypedspaces} 
{\em sans blanc}
\typedspaces

\noindent
\fbox{\parbox{3cm}{A blabla bla blabla :  
Ceci est mon test de csure }} ... reste possible.

\begin{flushleft}
 Ceci est  un test avec \verb|\raggedright|  qui 
--~thoriquement~-- ne devrait plus nous poser de problme.
\end{flushleft}

\subsection{{\mdseries%
\tt\backslash noeveryparguillemets}}\label{noeveryparguillemets}
Cette option permet de grer correctement les citations de second 
rang mais elle est tout  fait contraire
 au processus \verb|\everypar| cit prcdemment grce auquel
 les guillemets sont gnrs automatiquement  chaque 
dbut de paragraphe.
Voici ce que produit l'option {\em normale\/} 
{\tt\backslash every\-par\-guil\-lemets} sur le paragraphe suivant :

 Tout le monde s'accorde  trouver lgitime la division : 
{\tt extra-ordinaire}. Le cas des mots com\-poss est le seul 
 rencontrer 
cette unanimit. Dans les autres, les opinions sont trs partages.
 Frey est le plus catgorique : il n'admet de division selon la formation 
que pour des mots de composition compltement franaise, et la rejette 
sinon... Le {\em Code typographique}, tout en adoptant ce mme point
 de vue  ... [reconnat] nanmoins que certains auteurs de travaux 
scientifiques prfrent la division ty\-mologique 
qui fait ressortir
 la racine grecque ou latine . Quant  Gouriou, il crit :
 On prfrera cependant garder la coupure tymologique
 chaque fois que les composants sont {\em aisment} re\-connaissables.  
(L'italique est de Gouriou.) 
\marginpar{{\footnotesize Ici on a trich avec des} {\tt\backslash!}}
\!Telle \!est aussi \!l'opinion \!de \!Girodet . 

Et voici l'effet de \verb|\noeveryparguillemets| :
\noeveryparguillemets

 Tout le monde s'accorde  trouver lgitime la division : 
{\tt extra-ordinaire}. Le cas des mots com\-poss est le seul 
 rencontrer 
cette unanimit. Dans les autres, les opinions sont trs partages.
 Frey est le plus catgorique : il n'admet de division selon la formation 
que pour des mots de composition compltement franaise, et la rejette 
sinon... Le {\em Code typo\-graphique}, tout en adoptant ce mme point
 de vue  ... [reconnat] nanmoins que certains auteurs de travaux 
scientifiques prfrent la division ty\-mologique 
qui fait ressortir
 la racine grecque ou latine . Quant  Gouriou, il crit :
 On prfrera cependant garder la coupure tymologique
 chaque fois que les  composants sont {\em aisment} re\-connaissables.  
(L'italique est de Gouriou.) 
Telle est aussi l'opinion de Girodet . 
\everyparguillemets

Il faut noter que cette option impose que le paragraphe commence et se
termine par des guillemets. % sinon code \guillpar et \parguill
C'est pour cela que nous n'avons pas mis cette option par dfaut.

\subsubsection{Un test assez mchant}
Voici un exemple d'utilisation dans un environement \verb|quotation|%
\footnote{Nous avons introduit {\tt\backslash moretolerance} pour obtenir une
composition correcte.}
 :
\begin{quotation}
\moretolerance\moretolerance\moretolerance
 Je ne peux mieux faire que de citer la dfinition qu'a donn
de la gravure un de nos matres fondeurs, Fournier le Jeune :

 La scien\-ce du graveur, dit-il, consiste  connatre la figure
la plus parfaite que l'on puisse donner aux caractres, les dimensions
qu'ils doivent avoir  et  les reprsenter sur l'acier pour les frapper
sur le cuivre afin d'en former des matrices qui perptuent des lettres
 l'infini par la fonte. \endguillemets
\end{quotation}

Le mme exemple sans \verb|quotation|  :

 Je ne peux mieux faire que de citer la dfinition qu'a donn
de la gravure un de nos matres fondeurs, Fournier le Jeune : 

 La scien\-ce du graveur, dit-il, consiste  connatre la figure
la plus parfaite que l'on puisse donner aux caractres, les dimensions
qu'ils doivent avoir  et  les reprsenter sur l'acier pour les frapper
sur le cuivre afin d'en former des matrices qui perptuent des lettres
 l'infini par la fonte. \endguillemets
\bigskip

\noeveryparguillemets
Puis avec \verb|\noeveryparguillemets| (c.--d. sans \verb|quotation|) :

 Je ne peux mieux faire que de citer la dfinition qu'a donn
de la gravure un de nos matres fondeurs, Fournier le Jeune : 

 La scien\-ce du graveur, dit-il, consiste  conna\-tre la figure
la plus parfaite que l'on puisse donner aux caractres, les dimensions
qu'ils doivent avoir  et  les reprsenter sur l'acier pour les frapper
sur le cuivre afin d'en former des matrices qui perptuent des lettres
 l'infini par la fonte. \endguillemets
\bigskip

Et enfin avec \verb|quotation|, voil 
\marginpar{{\footnotesize Il y a ici un problme  tudier en 2 colonnes !}}
ce que cela peut donner\label{quotation} :
\begin{quotation}
                    %\let\bkORI\break
                    %\def\break{\bkORI\hbox to 0pt{/}}% for debug
                    %\ancientguillemets% for debug
 Je ne peux mieux faire que de citer la dfinition qu'a donn
de la gravure un de nos matres fondeurs, Fournier le Jeune :

 La scien\-ce du graveur, dit-il, consis\-te  connatre la figure
la plus parfaite que l'on puisse donner aux caractres, les dimensions
qu'ils doivent avoir  et  les reprsenter sur l'acier pour les frapper
sur le cuivre afin d'en former des matrices qui perptuent des lettres
 l'infini par la fonte.
 \endguillemets
\end{quotation}
\everyparguillemets
On notera ici les espaces inter-mots beaucoup plus {\em tolrants}. C'est
la seule solution trouve pour arriver  imprimer 
quelquechose d' peu
prs correct en double colonnage.

\vfill
Terminons la page en anglais pour tester le haut de page. Les guillemets
doivent tre bons avec le codage T1.

\english
Let's complete the page with english text in order to test and show
how will be printed the header.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
\onecolumn
\subsubsection{Mme test en {\mdseries\tt\backslash onecolumn}}
Voici un exemple en environement \verb|quotation| :
\begin{quotation}
 Je ne peux mieux faire que de citer la dfinition qu'a donn
de la gravure un de nos matres fondeurs, Fournier le Jeune :

 La scien\-ce du graveur, dit-il, consiste  connatre la figure
la plus parfaite que l'on puisse donner aux caractres, les dimensions
qu'ils doivent avoir  et  les reprsenter sur l'acier pour les frapper
sur le cuivre afin d'en former des matrices qui perptuent des lettres
 l'infini par la fonte. \endguillemets
\end{quotation}

Le mme exemple sans \verb|quotation|  :

 Je ne peux mieux faire que de citer la dfinition qu'a donn
de la gravure un de nos matres fondeurs, Fournier le Jeune : 

 La scien\-ce du graveur, dit-il, consiste  connatre la figure
la plus parfaite que l'on puisse donner aux caractres, les dimensions
qu'ils doivent avoir  et  les reprsenter sur l'acier pour les frapper
sur le cuivre afin d'en former des matrices qui perptuent des lettres
 l'infini par la fonte. \endguillemets
\bigskip

\noeveryparguillemets
Puis avec \verb|\noeveryparguillemets| (sans \verb|quotation|) :

 Je ne peux mieux faire que de citer la dfinition qu'a donn
de la gravure un de nos matres fondeurs, Fournier le Jeune : 

 La scien\-ce du graveur, dit-il, consiste  connatre la figure
la plus parfaite que l'on puisse donner aux caractres, les dimensions
qu'ils doivent avoir  et  les reprsenter sur l'acier pour les frapper
sur le cuivre afin d'en former des matrices qui perptuent des lettres
 l'infini par la fonte. \endguillemets
\bigskip

Et enfin avec \verb|quotation| :
\begin{quotation}
                    \let\bkORI\break
                    %\def\break{\bkORI\hbox to 0pt{/}}% for debug
                    %\ancientguillemets% for debug
 Je ne peux mieux faire que de citer la dfinition qu'a donn
de la gravure un de nos matres fondeurs, Fournier le Jeune : 

 La scien\-ce du graveur, dit-il, consiste  connatre la figure
la plus parfaite que l'on puisse donner aux caractres, les dimensions
qu'ils doivent avoir  et  les reprsenter sur l'acier pour les frapper
sur le cuivre afin d'en former des matrices qui perptuent des lettres
 l'infini par la fonte. \endguillemets
\end{quotation}
\everyparguillemets

\subsubsection{Test de  stretchability }

Les espaces doivent tre galement rpartis sur la ligne :

\medskip
\hbox to \hsize{etiord-gauche\footnote{En plain \TeX{} l'espacement est ici
\label{etiord}
                                       curieusement incorrect !}
  centre-ertnec  \hbox{}\footnote{Alors qu'il faudrait 
la mme rpartition
                               de l'espace.}%
                               ehcuag-droite}
\medskip

\subsection{Test des commandes {\mdseries\tt\backslash ifnum}}

\ifnum 1 < 3 1\verb| < |3 est VRAI, bien sr ! 
       \else 1\verb| < |3 est FAUX ! \fi
comme 
\ifnum 3 > 1 3\verb| > |1 est aussi VRAI, bien sr ! 
       \else 3\verb| > |1 est FAUX ! \fi

\medskip

\subsection{Test des commandes {\mdseries\tt\backslash everypar}}

{J'ai cod dans cette section \verb|\everypar{$++\,$}| : \everypar{$++\,$}

Paragraphe 1  citation niveau 1

Paragraphe 2  citation niveau 2

Paragraphe 3 fin citation niveau 2  puis fin niveau 1 

Paragraphe 4}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage% tjrs en 1 colonne
\hbox{}\ifx\itshape\undefined\else% avoid old frencht crash
\subsection{Test de fermeture prmature}

Il arrive que les guillemets soient ferms dans un environnement
plus intrieur qui n'apparie donc pas  correctement les blocs.
Voici un exemple d'utilisation :

\begin{verbatim}
Matre Corbeau dit  son clerc :  \itshape Cher collgue,

\begin{itemize}
\item Ah que vous tes joli !
\item Ah que vous me semblez beau !  \upshape  
et s'enfuit de ce pas...
\end{itemize}

\endguillemets
\textsf{Quel homme trange, n'est-ce pas ?}
\end{verbatim}

Voici ce que cela donne comme composition :

\medskip
Matre Corbeau dit  son clerc :  \itshape Cher collgue,

\SmsG%
\begin{itemize}
\item Ah que vous tes joli !
\item Ah que vous me semblez beau !  \upshape 
et s'enfuit de ce pas...
\end{itemize}
\FmsG%

\endguillemets
\textsf{Quel homme trange, n'est-ce pas ?}

\medskip
On notera plusieurs choses. Premirement il a fallu
rtablir \verb|\upshape| aprs les guillemets fermants,
du fait du mauvais appariement des blocs. Ensuite un message
sort indiquant une fermeture prmature des guillemets.
Cette fermeture restant incomplte on note enfin que l'on a forc
un \verb|\endguillemets| pour clore proprement et dfinitivement
l'environnement
guillemets.

\subsection{{\mdseries%
\tt\backslash everyparguillemetsremoved}}
\label{noeveryparguillemetsremoved}
Dans le mme exemple nous pouvons aussi interdire la gnration
automatique des guillemets ouvrants  chaque dbut de paragraphe ;
il faut alors saisir \verb|\everyparguillemetsremoved| :
\everyparguillemetsremoved

\medskip
Matre Corbeau dit  son clerc :  \itshape Cher collgue,

\SmsG%
\begin{itemize}
\item Ah que vous tes joli !
\item Ah que vous me semblez beau !  \upshape 
et s'enfuit de ce pas...
\end{itemize}
\FmsG%

\endguillemets
\textsf{Quel homme trange, n'est-ce pas ?}

\medskip
Il suffit ensuite de rtablir  \verb|\everyparguillemets|.
\everyparguillemets
\fi% ifx \itshape
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\twocolumn

Page intentionnellement laisse blanche.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\twocolumn

\subsection{Guillemets interrompus}
Une citation peut tre en anglais et donc se commencer par
\vers| \|\vers|english| et se terminer par \vers|\|\vers|french |. Ce cas
ne doit plus gnrer de message 
{\em fermeture de guillemets non ouverts} !
Voici le test, ralis ici
tout d'abord avec l'environnement\vers|nonfrench| :

\medskip
1 \fbox{ \begin{nonfrench}% LaTeX keeps space
          Text in English
          \end{nonfrench}% LaTeX keeps space
        }


\medskip
Puis avec : \\
\verb|\begin{english}| ... \verb|\end{english}| :

\medskip
% bypass here our TeX--XeT emulation to avoid message: english environment
% ended by \end{guillemets}
\def\temp{\begingroup}
\ifx\beginL\temp
\else
{% local redef of english for plain and our specific test file
 \ifx\undefined\englishORI\else\let\english\englishORI\fi%
2 \fbox{ \begin{english}%  LaTeX keeps space
          Text in English 
          \end{english}%  LaTeX keeps space
        }

\medskip
Et enfin  avec \verb|\|\verb|english| ... \verb|\endenglish| :

\medskip
3 \fbox{ {\csname english\endcsname
          Text in English
          \csname endenglish\endcsname}% space here to remove
        }
}% local redef of english for plain test
\fi

\medskip
Ceci avait aussi pour but de tester ces possibilits de
changement de langage et de vrifier l'espacement qui
devrait tre ainsi :

\medskip
0 \fbox{ Text in English }

\noenglishdoublequotes
\subsection{`` {\tt\backslash noenglishdoublequotes} ''}

Nous avons mis la commande \vers|\noenglish|\-\vers|doublequotes| juste avant
le titre de section de faon  remplacer les  quotes  anglaises
par des guillemets franais dans ce titre.
Il s'agit de vrifier aussi que la gnration des fichiers auxiliaires
\verb|.aux| et \verb|.toc| ne pose pas de problme lorsque ces fichiers 
sont rutiliss. Bien sr, si cette option n'est pas active pour tout le
document, comme ici, on ne retrouvera pas les guillemets franais
dans la table des matires.

\noenglishdoublequotes

\english% histoire de changer de langue ?

\newpage\french
\subsection{ no-french guillemets }
En codant \verb|\nofrenchguillemets|
\nofrenchguillemets on n'utilise plus
les guillemets programms dans l'extension {\tt french}. Si on les utilise
malgr tout, le rsultat dpendra de la police. Ici nous utilisons la
police \fontname\font{} et nous obtenons : 

<%
 < en 7-bits >%
              >

et aussi :

 en 8-bits . 

Ractivons maintenant les guillemets avec la commande
\verb|\frenchguillemets|
\frenchguillemets et faisons le mme test :

<%
 < en 7-bits >%
              >

et aussi :

 en 8-bits . Voyez-vous ? 
\vfill
\subsection{Guillemets \& hauts de page}

\subsubsection{En 8-bits}
Il ne devrait pas y avoir de problme du tout. 
Car, puisqu'il s'agit d'un guillemet en 8-bits, cela doit
tre forcment un vrai guillemet franais. Mais, malheureusement,
{\em la solution pour l'implmenter n'est pas encore trouve avec
le codage OT1}.
Le codage de fonte de ce document imprime : 
\nonfrench <%
           < >%
             >%
\endnonfrench{} 
 (doit tre parfait en T1).

\subsubsection{En 7-bits}
En codage OT1 les guillemets 7-bits de haut de page ne peuvent tre
bons sur cette page 
 {\bf QUE} parce que nous avons termin la
page en franais, sinon nous les aurions eu :
\ifx\textexclamdown\undefined
    \def\textexclamdown{}\def\textquestiondown{}
\fi
\textexclamdown\textexclamdown{} et \textquestiondown\textquestiondown
 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage
\hbox{ }\NL{25}

\subsection{Guillemets et maths}

L'equation suivante ne doit plus produire le fameux message :

{\tt ! Argument of \backslash \string @genG % string pour amslatex
 has an extra % { pour emacs
 $\}$% c'est un \delimiter qui pose pb tq avec frencht d'ou mode math
.}

$$U^{k+1}=U^{k}- {<  g_{k},d_{k} >}$$
   
\section{D'autres guillemets}\label{autres}
Avec le style \verb|french| il est possible de substituer automatiquement aux
guillemets `anglais' la forme  \noenglishquote `que voici' en donnant la
sous-option \verb|\noenglishquote|.
Mais attention car les apostrophes deviennent des accents 
comme dans : {\em il s'agit ici de l'exemple}
\englishquote qui aurait d tre imprim : 
{\em il s'agit ici de l'exemple}.
Un usage intensif de cette option est plutt  dconseiller. 

\newpage\english
\section{French guillemets}
Using french guillemets in an english document (\verb|| and \verb||) will
give  and , it is normal!

As you can look in the previous columns, french guillemets have specific
rules. They are used for quotation when an author is cited or each time an
emphasis is needed. Normally, italic is not used inside a quotated french
text, excepted when you really want to show some wording.

When opened, each paragraph of the quotated text will start left
 with the opening french guillemets.

Another quotated text can take place inside a first level. This second level
citation is also very specific. Each line must start with guillemets. 

The style designer, from time to time, chose to apply here an ancient rule
by putting here closing guillemets.

The technical tools involved in the french style
 disallow to have at the same time
the \verb|\everypar| possibility and the second level mechanism. 

\subsection{Guillemets and maths}

The following equation is always correct:

$$U^{k+1}=U^{k}- {<  g_{k},d_{k} >}$$

and never produce an error message.
\NL1
   
\section{Other guillemets}
With the french style it is possible to replace english guillemets by
diacritic caracters. But, be careful, all apostrophes will be diacritics too.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french 
\section{3 petits points}
Les points de suspension sont : ... et non pas ceux de \TeX{} : $\ldots{}$
\noTeXdots
En codant \verb|\noTeXdots| les commandes \verb|\dots| ou \verb|\ldots| de
\LaTeX{} donneront : $\ldots{}$ Mais l'option par dfaut a t
volontairement maintenue au standard  (\verb|\TeXdots|) puisqu'il suffit
de ne pas les utiliser.\TeXdots

\section{Crochets}
IBM, en son temps, avait cr l'EBCDIC dans lequel ne figurait pas
les crochets ([ ]). C'est la raison pour laquelle les utilisateurs IBM
ont parfois substitu $<$ et $>$ aux crochets.  La sous option
\verb|\EBCDICbrackets| \EBCDICbrackets
permet de les remplacer comme ici <automatiquement> par des crochets.
Mais faites attention, les doubles guillemets 
\verb|<|\verb|<| et \verb|>|\verb|>| % pour eviter la conversion 8bits
 ne donneront jamais des crochets mais  et  
(sauf en mode \verb|verbatim|). On peut en gnral
se contenter de \verb|< <| et \verb|> >| pour obtenir < < et > >. 
On revient   la situation antrieure en tapant la commande suivante :
\verb|\normalbrackets|\normalbrackets. 

\section{Dbordements}
Nous venons de choisir  l'option  d'indication de dbordement de ligne 
\verb|\overfullhboxmark| et nous voyons son
effet lorsque la ligne ne peut tre coupe grce  l'impression
de la petite bote noire. 
%(cf. page \pageref{debordement}).
Cette option est active au minimum pour une page entire. 
Ne pas spcifier l'option et son contraire sur la mme page sinon
l'effet est inchang.

\labelsinmargin
\section{{\mdseries\tt\backslash labelsinmargin}}\label{labels: in: margin}
Le style \verb|french| offre la possibilit, 
comme cela a t demand
 partir de cette section, d'imprimer dans la marge le libell des
tiquettes utilises dans les ordres \verb|\label|. 
Cette option, utilisable
aussi en dehors du franais, est la suivante :
\verb|\labelsinmargin|

\newpage\english
\section{Three dots}
Usual and common \TeX{} and \LaTeX{} dots are not french dots.
\NL4

\section{Brackets}
An option is offered to replace \verb|<| and \verb|>| by brackets.
\NL{11}

\section{{\mdseries\tt\backslash overfullhboxmark}}
The command \verb|\overfullhboxmark| print a black
box where your have an overfull \verb|hbox| i.e.\  when a line can't be
hyphenated. The default is \verb|\nooverfullhboxmark|.
\NL4

\section{Labels in margin}\label{labels are in margin}
An option allow you to print the labels you use in a page. These labels are
printed in margins.
 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
\section{Des points sur...}
Inutile de mettre les points sur les i quand on accentue un i. Tout bon
diteur de texte doit faire ce travail pour vous. Sinon il existe la 
sous-option \verb|\idotless| qui produira \idotless
\let\XX\^% Pour viter une traduction ventuelle en 8 bits
\XX{i} si on lui demande d'imprimer \verb|\^i|.
\iwithdot La valeur par dfaut
dans le style \verb|french| est \verb|\iwithdot| qui donnera malgr tout de
bons i accentus avec ML\TeX{} () s'ils sont saisis directement en 8 
bits (vrifiez dans votre fichier source).

\section{Ponctuation et  mode 
\protect\linebreak % SPECIAL FONTES EC REELLES
mathmatique}
Il s'agit de vrifier que les modifications introduites dans le style
\verb|french| ne posent pas de problme en mode mathmatique.
\\ Nous dfinissons une macro \verb|\test| :
\\  \verb|\def\test#1{#1}|\def\test#1{#1}
\\ pour voir si le mode mathmatique peut tre appel 
sans problme en
argument de macro-instructions. L'appel de \verb|\test{$x''$}| ne doit
pas poser de problme%
\def\GOfrench{plain}% the following not running with frplain.sty
\ifx\fmtname\GOfrench%
. \\Ainsi :
\else%
, ni mme \verb|\texttt{|\-\verb|[$x''=0$]}|
\\ Ainsi : \verb|\texttt{[$x''=0$]}|
\\donne : \texttt{[$x''=0$]} et
\fi
\\  \verb|$A':B''_1<C_{d'}>D^2\ et\,\ !n\ ?\ ;$|
\\  \verb|\test{$A':B''_1<C_{d'}$}|
\\donne : $A':B''_1<C_{d'}>D^2\ et\,\ !n\ ?\ ;$
\\\phantom{donne :} \test{$A':B''_1<C_{d'}$}
\\Avec \verb|\noenglishquote|\noenglishquote{} cela...
\\donne : $A':B''_1<C_{d'}>D^2\ et\,\ !n\ ?\ ;$
\\\phantom{donne :} \test{$A':B''_1<C_{d'}$}
\englishquote
\\ puis avec \verb|\noenglishdoublequotes| \noenglishdoublequotes et
`` mise en vedette '' :
$$%  \begin{displaymath}
            A':B''_1<C_{d'}>D^2\ et\,\ !n\ ?\ ;
$$%  \end{displaymath}
$$%  \begin{displaymath}
            \test{A':B''_1<C_{d'}}
$$%  \end{displaymath}
De mme :
\begin{verbatim}
{\tt CALL SUBR($<$iopt$<$,ilopt$$)}
\end{verbatim}
doit s'imprimer :\\
{\tt CALL SUBR($<$iopt$<$,ilopt$$)}\\
sans produire le message d'erreur  Fermeture de guillemets non ouverts ! .
\englishdoublequotes


\newpage\english
\section{An \minMAJ {i} dotless}
Everybody knows that a french ``{\em i circonflexe}'' has no dot on it. 
(In my opinion it is a \TeX{} bug to leave the dot when a diacritic is
put on). To suppress the dot automatically the best way is to use a well
programmed text editor. The french style offers another opportunity with
\verb|\idotless|.

\NL2

\section[Math mode and punctuation]{Math mode and \newline punctuation}
Here we verify that french modifications about punctation
does not introduce any problem in printing mathematics. 
\\ We define a new  macro \verb|\test| :
\\  \verb|\def\test#1{#1}|\def\test#1{#1}
\\ in order to see if there is no more problem when passing maths
inside a mcro argument. Calling  \verb|\test{$x''$}| must not
introduce any problem%
\def\GOfrench{plain}% the following not running with frplain.sty
\ifx\fmtname\GOfrench%
. \NL1\\So:
\else%
, as well as \verb|\texttt{|\-\verb|[$x''=0$]}|
\NL1\\So: \verb|\texttt{[$x''=0$]}|
\\gives: \texttt{[$x''=0$]} and
\fi
\\\verb|$A':B''_1<C_{d'}>D^2\ et\,\ !n\ ?\ ;$|
\\\verb|\test{$A':B''_1<C_{d'}$}|
\\ gives: $A':B''_1<C_{d'}>D^2\ et\,\ !n\ ?\ ;$
\\\phantom{gives:} \test{$A':B''_1<C_{d'}$}
\\With \verb|\noenglishquote|\noenglishquote{} it$\ldots{}$
\\gives: $A':B''_1<C_{d'}>D^2\ et\,\ !n\ ?\ ;$
\\\phantom{gives:} \test{$A':B''_1<C_{d'}$}
\englishquote
\\ and with \verb|\noenglishdoublequotes|\noenglishdoublequotes{}  
in ``display'' math mode:
$$%  \begin{displaymath}
            A':B''_1<C_{d'}>D^2\ et\,\ !n\ ?\ ;
$$%  \end{displaymath}
$$%  \begin{displaymath}
            \test{A':B''_1<C_{d'}}
$$%  \end{displaymath}
\englishdoublequotes 
Also:
\begin{verbatim}
{\tt CALL SUBR($<$iopt$<$,ilopt$$)}
\end{verbatim}
must print:\\
{\tt CALL SUBR($<$iopt$<$,ilopt$$)}\\
without producing the error message: 
``Fermeture de guillemets non ouverts !''.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
Pour ma part lorsque je dsire des crochets que je n'ai pas
au clavier, je prfre taper :\\
\verb|{\tt CALL SUBR(<iopt<,ilopt> >)}| et utiliser
l'option \verb|\EBCDICbrackets|\EBCDICbrackets{} :\\
{\tt CALL SUBR(<iopt<,ilopt> >)}

Cette option n'a pas d'effet en mode mathmatique :
$$ 1233 < 1234  1235  1234 > 1233 $$
\normalbrackets

\makeatletter% we should use \frac with AmS
\ifx\RIfM@\undefined%\ifx\csname amsmath.sty\endcsname\relax
     \long\def\text#1{#1}\long\def\frac#1#2{{#1\over#2}}
\fi
\makeatother

Vrifions aussi 
($x < {\frac{1}{3}} < {\frac{1}{2}} > {\frac{1}{4}}$) :
$$x <  \frac{1}{3}  < \frac{1}{2}   >  \frac{1}{4} $$
puis aussi :

 \text{\quad pour $|y| < \frac{111}{444}$}

\bigskip
La double ponctuation ne doit avoir aucun effet 
(visible) dans une formule en mode
mathmatiques, est-ce bien le cas sur l'exemple ci-dessous :

{\LARGE $$a := b, (c!n=m) \textrm{ ; vrai ?}$$}

On notera que la partie texte de la formule a t saisie avec la
commande : \\
\verb|\textrm{ ; vrai ?}|\\
et que l'espacement franais y a t appliqu.

\newpage\english
When i have no brackets on my keyboard i prefer to type:\\
\verb|{\tt CALL SUBR(<iopt<,ilopt> >)}|\\ using
 the option \verb|\EBCDICbrackets| but the result in english
remains unchanged\EBCDICbrackets{}:\\
{\tt CALL SUBR(<iopt<,ilopt> >)}

And within math mode:
$$ 1233 < 1234  1235  1234 > 1233 $$
\normalbrackets

\makeatletter% we should use \frac with AmS
\ifx\RIfM@\undefined%\ifx\csname amsmath.sty\endcsname\relax
     \long\def\text#1{#1}\long\def\frac#1#2{{#1\over#2}}
\fi
\makeatother

Let's verify also ($x < {\frac{1}{3}} < {\frac{1}{2}} > {\frac{1}{4}}$) :
$$x < \frac{1}{3} < \frac{1}{2} > \frac{1}{4}$$
and:

 \text{\quad pour $|y| < \frac{111}{444}$}

\bigskip
The "double punctuation" should not have any effect
in maths, it's obviously the case in the following
English example:
\NL1

{\LARGE $$a := b, (c!n=m) \textrm{ ; vrai ?}$$}

Though the text part of the formula has been typed
via a command \verb|\textrm| the French spacing
doesn't apply here.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
\section{Utilisation de la toc}

Il n'est pas prvu de pouvoir composer une table des matires ou un
sommaire dans plus d'une langue.
On notera que \verb|\sommaire| est un apport de l'option de style
\verb|french|.

\section{Fichiers lof et lot}
On vrifie ici que la ponctuation franaise n'a pas cr 
d'ennui particulier.
Nous avons laiss en blanc la figure \ref{x:;!?x} 
qui n'est qu'un simple
test. De mme le tableau \ref{y`:;!?'y} n'est l que pour 
crer une entre dans la liste des tableaux.

Le {\em caption} de la figure 
\ref{x:;!?x} 
 doit apparatre comme ceci :
 {\it  essai  ;  2 cm ! pourquoi pas ?}
\begin{figure}[h]
\begin{center}
\begin{tabular}{|c|}
\hline
\ \hfill \ \\%\vspace*{2cm}
\ \\
\ Peu importe la figure $\ldots{}$\\
\ \\
\ \\
\hline
\end{tabular}
\end{center}
\caption{ essai  ;  2 cm ! pourquoi pas ? 
         \protect\\ (cf. aussi le tableau \ref{frenchdactylo})}
\label{x:;!?x}
\end{figure}

Le {\em caption} du tableau
\ref{y`:;!?'y}
 doit tre comme ceci :
{\it `  essai  ;  2 cm ! pourquoi pas ? '}
\begin{table}[h]
\caption{`  essai  ;  2 cm ! pourquoi pas ? '  
         \protect\\ (cf. aussi le tableau \ref{frenchdactylo})}
\label{y`:;!?'y}

\begin{center}
\begin{tabular}{|c|}
\hline
\ \hfill \ \\
\ \\
\ Peu importe le tableau\footnote{Une note de tableau.} $\ldots{}$\\
\ \\
\ \\
\hline
\end{tabular}
\end{center}
\end{table}

On notera les libells ({\sc Fig.} et {\sc Tab.}) plus conformes 
l'usage franais. Ne pas oublier non plus que les titres de tableaux sont
toujours placs, en franais, avant ceux-ci contrairement aux figures.

L'option de style \verb|french| ne prvoit pas 
que l'on puisse composer une 
partie des tables des figures (ou tableaux) en franais et une autre
en anglais par exemple. Les fichiers \verb|.lof| et \verb|.lot| seront
donc composs entirement dans la langue prslectionne.

\newpage\english
\section{toc file use}
No facility is given to typeset the \verb|.toc| in various languages.

Notice that \verb|\sommaire| is a new command brought up with this
style.

\section{lof and lot files}
Same test in English just to verify  that our french modifications
does not affect the text in English.

You will notice, of course, that the caption names are re-established
to their original values ({\bf figure} and {\bf table}).

The following figure (\ref{ex:;!?ex}) caption must look like:
 essai ;  2 cm! Why not?
\begin{figure}[h]
\begin{center}
\begin{tabular}{|c|}
\hline
\ \hfill \ \\
\ \\
\ No matter how is the figure $\ldots{}$\\
\ \\
\ \\
\hline
\end{tabular}
\end{center}
\caption{ essai ;  2 cm! Why not?
         \protect\\ (cf. also the table \ref{frenchdactylo})}
\label{ex:;!?ex}
\end{figure}

The {\em caption} of the table \ref{ey`:;!?'ey} must look like: 
`  essai ;  2 cm! Why not? '
\begin{table}[h]
\begin{center}
\begin{tabular}{|c|}
\hline
\ \hfill \ \\
\ \\
\ No matter how is the table\footnotemark% \footnotetext est perdu !
 $\ldots{}$\\
\ \\
\ \\
\hline
\end{tabular}
\end{center}
\caption{`  essai ;  2 cm! Why not? '
         \protect\\ (cf. also the table \ref{frenchdactylo})}
\label{ey`:;!?'ey}
\end{table}\footnotetext{A note from a table.}
\NL1

Notice that we have here the standard caption names used by \LaTeX{}.

You can see in the french column the specific labels and places of caption
titles (under the figure but over the table).

Don't try to compose \verb|.lof| and \verb|.lot| files in more than one
language, it's not designed in this (stupid?) way!

\french
\begin{table*}[tb]
\caption{`  essai  ;  2 cm ! pourquoi pas ? '  
         \protect\\ (cf. aussi le tableau \ref{frenchdactylo})}
\label{2`:;!?'2}
\begin{center}
\begin{tabular}{|c|}
\hline
\ \hfill \ \\
\ \\
\ Peu importe le tableau sur deux colonnes%
\footnote{Une note de tableau.} $\ldots{}$\\
\ \\
\ \\
\hline
\end{tabular}
\end{center}
\end{table*}

\newpage
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{Encore un tableau...}
Mais celui-ci est sur deux colonnes si l'option
\verb|twocolumn| est active. Vrifions simplement
que le traitement est le mme qu'en une seule
colonne.

Le {\em caption} du tableau
\ref{2`:;!?'2}
 doit tre comme ceci :
{\it `  essai  ;  2 cm ! pourquoi pas ? '}

\section{\sloppy Encore \tt\backslash labelsinmargin}

 nouveau nous utilisons \verb|\labelsinmargin|
\labelsinmargin
pour vrifier son fonctionnement dans une figure
et un titre de figure 

\begin{figure}[h]
\label{label de la figure}
\begin{center}
\begin{tabular}{|c|}
\hline
\ \hfill \ \\
\ \\
\ Peu importe la figure $\ldots{}$\\
\ \\
\ \\
\hline
\end{tabular}
\end{center}
\caption{le titre de la figure avec label
\label{label du titre fig.}}
\end{figure}

Mme test avec un tableau :
\begin{table}[h]
\label{label du tableau}
\begin{center}
\begin{tabular}{|c|}
\hline
\ \hfill \ \\
\ \\
\ Peu importe le tableau $\ldots{}$\\
\ \\
\ \\
\hline
\end{tabular}
\end{center}
\caption{le titre du tableau avec label\label{label du titre tab.}}
\end{table}

\sloppypar{
Retirons dfinitivement l'option \verb!\nolabelsinmargin!.
}
\nolabelsinmargin

\newpage\english
\NL8
\section{{\tt\backslash labelsinmargin} again}

Again we test \verb|\labelsinmargin|
\labelsinmargin
to verify that it is running within a figure
and in in a figure's caption. 

\begin{figure}[h]
\label{label in a figure}
\begin{center}
\begin{tabular}{|c|}
\hline
\ \hfill \ \\
\ \\
\ No matter the figure $\ldots{}$\\
\ \\
\ \\
\hline
\end{tabular}
\end{center}
\caption{title with a label\label{label in fig. caption}}
\end{figure}

Same test with a table:
\begin{table}[h]
\label{label in a table}
\begin{center}
\begin{tabular}{|c|}
\hline
\ \hfill \ \\
\ \\
\ No matter the table $\ldots{}$\\
\ \\
\ \\
\hline
\end{tabular}
\end{center}
\caption{title with a label\label{label in a tab. caption}}
\end{table}

Remove definitely \verb!\nolabelsinmargin!.
\nolabelsinmargin

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french

\section{Notes dans {\tt\backslash caption}}

Si une note dans un tableau doit tre imprime  la fin du
tableau, une note dans un titre de tableau doit tre
imprime en fin de page. Malheureusement \LaTeX{} perd
le texte des notes dans les environnements {\tt figure} et 
{\tt table}. L'extension {\tt french} prvient l'utilisateur
que les texte doit tre rinsr  l'aide de \verb|\footnotetext|.

\begin{table}[h]

\SmsG%
\caption[Essai de footnote dans un caption de tableau]
        {Lgende\protect\footnote{Une note de bas de page.}}
\FmsG%

\begin{center}
\begin{tabular}{|c|}
\hline
\ \hfill \ \\
\ \\
\ Peu importe le tableau $\ldots{}$\\
\ \\
\ \\
\hline
\end{tabular}
\end{center}
\end{table}
\footnotetext{Une note de bas de page.}

\section{Autre chose ?}
Non !

[espace libre utilisable]

\newpage\english

\section{Notes within {\tt\backslash caption}}

Normally in French we print table's footnotes at the end of the table
but it can't be the case when footnote is called from a caption title.
But unfortunately footnote's text is lost when inside a \LaTeX{} figure
or table environnement, as shown here.
Thus {\tt french.sty} warn the user with the appropriate message, but
in English nothing is done. 

\begin{table}[h]
\begin{center}
\begin{tabular}{|c|}
\hline
\ \hfill \ \\
\ \\
\ No matter the table $\ldots{}$\\
\ \\
\ \\
\hline
\end{tabular}
\end{center}
\caption[footnote try within a table's caption]
        {Caption title\protect\footnote{A footnote page.}}

\end{table}
%\footnotetext{A footnote page.}

\section{Anything else?}

No!

[free space to reuse]
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
\section{Le 1\protect\fup{er} paragraphe}
Notez bien que le 1\fup{er} paragraphe d'une section 
ne commence jamais au fer  gauche 
en franais, comme vous le voyez ici.

Le deuxime paragraphe dmarre comme le premier...\footnote{%
La typographie du titre de section (1\fup{er}) est  noter ;
 {\tt mysmaller.sty} a t utilis 
 la compilation de {\tt frenchrf} avec \LaTeX{}. 
Il existe aussi l'extension {\tt relsize} qui fonctionne
bien ave {\tt french}.}

\section{Test des listes}

Voici un test d'numration (\verb|itemize|) de \LaTeX{} :

\begin{itemize}
\item liste de niveau 1 ;
      \begin{itemize}
      \item incluant un niveau 2,
            \begin{itemize}
            \item mais aussi un niveau 3,
            \item peu utilis ;
            \end{itemize}
      \item le niveau 2 se terminant ici ;
      \end{itemize}
\item suite de la liste de niveau 1 ;
\item dernier lment de niveau 1.
\end{itemize}

On remarquera les deux choses suivantes : 
\primo les marqueurs sont identiques quel que soit
le niveau et \secundo aucun lment ne commence par une majuscule.

\section{Dfinition de langue}

On peut se dfinir une  langue comme par exemple le kathmandouais par : \\%
\verb|\NouveauLangage[2]|\verb|{kathmandouais}|\\%
\global% for TeX--XeT tests
\def\kathmandouaisTeXmods{\empty}
      \NouveauLangage[2]{kathmandouais} %
et ensuite on peut crire kathmandouais en tapant : 
\verb|\kathmandouais|
\SmsG%
\kathmandouais%Message a ignorer si vous n'avez que 2 langues definies.
bla... blabla... bla%
\typeout{I AM WRITING KATMANDOUAIS, Ye\string! (language=\the\language)}%
\FmsG%
\footnote{Mais bien entendu les csures ne seront pas bonnes car elles
seront faites  partir d'un language existant. On notera la typographie
du numro de cette note saisie en {\em Katmandouais}.}
 et revenir au franais par
\verb|\french|\french.%
\footnote{Si le point qui suit n'est pas accol au mot {\tt french}
alors cela signifie que des {\em blank space} tranent dans le style
{\tt french}.}
S'il n'y a  pas  de commande \verb|\kathmandouaisTeXmods| de dfinie 
rien ne se passera
vraiment, cela sera quivalent  \verb|\relax|, seul un message 
d'avertissement sera mis.

\newpage\english
\section{First paragraph}
In English each paragraph is indented except the first one of a section,
subsection, etc. as you can see in this example.

Subsequent paragraphs start indented$\ldots{}$\NL1 

\section{Itemized lists}
Here is the same  french \verb|itemize| list:\NL1 

\begin{itemize}
\item liste de niveau 1;
      \begin{itemize}
      \item incluant un niveau 2,
            \begin{itemize}
            \item mais aussi un niveau 3,
            \item peu utilis ;
            \end{itemize}
      \item le niveau 2 se terminant ici ;
      \end{itemize}
\item suite de la liste de niveau 1 ;
\item dernier lment de niveau 1.
\end{itemize}

You can compare english and french lists.
Notice firstly that item markers are identical at each level and secondly
that each item never starts with an uppercase letter.

\section{Create a language}
There is a new control sequence to allow {\em the creation} of new language:\\
\verb|\NouveauLangage[n]{language}|\\
This command is in fact used internally but it can be also used elsewhere 
to define a new language which rules will be set by:\\
 \verb|\<language>TeXmods| (if defined.) The internal language number \verb|n|
tells \TeX{} what hyphenation table is to use among those defined at
\verb|INITEX| time.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
\section{Utilisation de PSfig}
Quelques jeux de macros doivent parfois tre chargs 
directement dans le document
et utilisent  les caractres {\em actifs\/} du style \verb|french|. Il y
a alors conflit ouvert. Plusieurs solutions sont offertes, soit utiliser
l'ordre : \\
\verb|   \originalinput{fichier}|\\
 soit :
\begin{verbatim}
   \begin{nonfrench}
          ... macros-instructions...
   \end{nonfrench}
\end{verbatim}
Nous avons adopt la  deuxime solution ici : 
\\ % sans cette coupure on perd de l'espace vertical !!!!
\tthyphenation
\begin{versatim}
Saluons au passage Trevor Darrell, l'auteur de \verb|psfig| :
 \begin{nonfrench}
   \let\psfig\undefined
   \input mypsfig.sty
   \begin{center}
       \ \hbox{\vbox{\psfig{figure=%
          myfigure.ps,height=1in}}}\  
   \end{center}
 \end{nonfrench}
\end{versatim}

Saluons au passage Trevor Darrell, l'auteur de \verb|psfig| :
\begin{nonfrench}
   \let\psfig\undefined
  \input mypsfig.sty
  \begin{center}
       \ \hbox{\vbox{\psfig{figure=%
          myfigure.ps,height=1in}}}\  
  \end{center}
\end{nonfrench}
Mais attention n'utilisez pas en franais un code que 
vous auriez charg 
en anglais ou rciproquement !

En fait le style \verb|french| est maintenant compatible avec \verb|psfig|.
En voici l'exemple -- sans utiliser \verb|nonfrench| -- avec 
\verb|\psdraft| : 
   \let\psfig\undefined
  \input mypsfig.sty
  \psdraft
  \begin{center}
       \ \hbox{\vbox{\psfig{figure=%
          myfigure.ps,height=1in}}}\  
  \end{center}

\newpage\english
\section{Non-french codes}
Codes that were designed for English might bring problems when used with the 
french style because few characters are {\em activated\/}. 
Few solutions are offered:\\\NL1
either \verb|   \originalinput{file}|\\
or:
\begin{verbatim}
   \begin{nonfrench}
          ... macros-instructions...
   \end{nonfrench}
\end{verbatim}
We used here the second solution:
\begin{verbatim}
Saluons au passage Trevor Darrell, 
           l'auteur de \verb|psfig| :
 \begin{nonfrench}
   \let\psfig\undefined
   \input mypsfig.sty
   \begin{center}
       \ \hbox{\vbox{\psfig{figure=%
          myfigure.ps,height=1in}}}\  
   \end{center}
 \end{nonfrench}
\end{verbatim}

\notthyphenation
Saluons au passage Trevor Darrell, %
           l'auteur de \verb|psfig| :
%\begin{nonfrench}% inutile d'obtenir un message de warning
   \let\psfig\undefined
  \input mypsfig.sty
  \begin{center}
       \ \hbox{\vbox{\psfig{figure=%
          myfigure.ps,height=1in}}}\  
  \end{center}
%\end{nonfrench}
But be carefull, don't use in French a code that was loaded in English
or reciprocally!
\NL1

In fact the french style is now fully compatible with \verb|psfig| while
the french style start acting at the \vers|\|\vers|begin{document}|.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
\section{Hauts et bas de page (\minMAJ{oe} et )}
Les hauts (et aussi les bas) de page sont parfois 
(comme avec le style \verb|book|) mis
en majuscules ({\em uppercase} ou haut de casse).
 Cette opration se fait  l'aide de l'ordre \TeX{} :\newline
 \verb|\uppercase{...}| qui ne sait que transformer des {\em lettres}
en majuscule mais pas des ordres comme \verb|\|\verb|oe| ou 
\verb|\|\verb|ae| ou \verb|\|\verb|i|.
C'est la raison pour laquelle le style \verb|french| offre l'ordre
\verb|\minMAJ|. Il suffit alors de coder : \verb|\minMAJ{oe}| pour imprimer
 ici en minuscules et si on le veut en majuscules alors on peut taper
soit \verb|\|\verb|OE| soit : \newline
\verb|\uppercase{\minMAJ{oe}}| et on obtient \uppercase{\minMAJ{oe}}
en majuscules. 
Cette technique permet ainsi de rsoudre les hauts et bas de page
en \LaTeX{}. Vrifions que le haut de page, s'il existe, est correct.\NL1

\section{Abrviations}
\abbreviations 
Si on demande \verb|\abbreviations| alors on a  
accs  un fichier d'abr\-via\-tions 
typo\-graphi\-ques franaises. 
Ainsi je saisis \verb|"monseigneur"| et j'imprime "monseigneur"\!.
De mme, avec ML\TeX{} je saisis \verb|"deuxime"| 
(vrifiez dans le
source que ce mot est bien cod en 8bits) et j'imprime "deuxime"\!%
. %alors que le fichier d'abrviations contient \verb|"deuxi\`|\verb|eme"|.
Ainsi il n'est plus vraiment indispensable de se rappeler que
l'abrviation de madame est "madame" (et matre : "matre"\!).

Lorsqu'un mot ne figure pas dans le fichier d'abrviations, il est alors 
imprim tel que. Ainsi \verb|"GUTenberg"| imprimera 
\SmsG%
"GUTenberg".
\FmsG%
 Mais n'oubliez jamais le double guillemet fermant sinon vous obtiendrez
 un message du genre : 
\begin{versatim}
 Paragraph ended before \AbbrevName was complete.
\end{versatim}
 
Je peux aussi donner mon  fichier personnel d'abrviations en codant :\\
\verb|\abreviations[mon_fichier_personnel]|

On retire ces possibilits par la commande \verb|\noabbreviations|.
\noabbreviations 
N'oublions pas que le caractre \verb|"|  sert normalement en \TeX{} 
comme en \LaTeX{}  exprimer les nombres en hexadcimal.

\newpage\english
\section[Headings and footings (\minMAJ{oe} and )]%
        {Headings and footings (\minMAJ{oe} and )}
Often, styles like \verb|book| uppercase the headings or footings.
But \TeX{} don't know how uppercase macros and so, \verb|\|\verb|oe| or
\verb|\|\verb|ae| or \verb|\|\verb|i| are not uppercased. 
The french style brings
you an useful tool using \verb|\minMAJ{...}|. You write \verb|\minMAJ{oe}| 
and then print \minMAJ{oe} or write 
\verb|\uppercase{\minMAJ{oe}}| and print
\uppercase{\minMAJ{oe}}. This technic solve the problem when printing
headings in \LaTeX{}. Look at the heading -if there is one: you must
find good uppercased letters.\Sauter6Lignes

\section{Abbreviations}
The abbreviation facility offered in the french style is based on
an abbreviations file. When requested by \verb|\abbreviations| one
may call any \verb|"abbreviation"|. If this abbreviation is found in the
file it will be replaced by the typographic expansion, if not it will
be printed as is.\NL2

But never forget the ending double quotes otherwise you will obtain the
terrible message:
{\tt Paragraph} {\tt ended before} {\tt\backslash AbbrevName} 
{\tt was complete.}
\NL4

You can have you own abbreviations file by calling:
\verb|\abreviations[my_file]|.\NL1

Saying \verb|\noabbreviations| this facility is lost. Remember that the
char \verb|"| is used normally in \TeX{} as in \LaTeX{} to start an
hexadecimal number.

But used in English, \verb|"monsieur"| will give "monsieur".

\newpage\french
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\section{Autres macros utiles}
\verb|\fsc{KnUtH}| permet d'imprimer \fsc{KnUtH} et \verb|\lsc{SnCf}| 
donne \lsc{SnCf}. Cela doit aussi marcher si le mot commence par une
accentuation comme ici avec le mot \fsc{\'% a laisser tq a cause du 7bits
epinal} et mme quand cette accentuation est plus loin dans
le mot comme ici dans \fsc{ANDR\'% a laisser tq a cause du 7bits
E}.

\bigskip
Voici une note%
\footnote{La note.\label{NOTE}}
de bas de page commande par \verb|\footnote{La note.\label{NOTE}}|.
Je peux faire  nouveau appel  cette note\refmark{NOTE} 
 par l'ordre \verb|\refmark{NOTE}|.

\bigskip
Par analogie avec l'environnement \verb|verse| :
\begin{verse}
%\moretolerance % pour eviter un leger overfull hbox
1\iere{} ligne : cette ligne est bien trop longue, elle doit tre coupe autant de fois que ncessaire...\\
2\ieme{} ligne : le test terrible de...\\%
3\ieme{} ligne : `ceci est le test des quotes'\\
\end{verse}
\tthyphenation
voici le mme test (sans \verb|\\|)
avec l'environnement \vers|versatim| qui est 
un environnement \vers|verba|\-\vers|tim| compos 
avec des coupures de lignes
comme l'est l'environnement \verb|verse| et dont les {\em quotes} peuvent
tre imprimes avec des accents si on prcise 
\vers|\noenglishquote| :
\noenglishquote
\begin{versatim}
1\iere{} ligne : cette ligne est bien trop longue,  elle doit tre coupe autant de fois que ncessaire...
2\ieme{} ligne : le test terrible de \end{document} 
3\ieme{} ligne : `ceci est le test des quotes'
\end{versatim}
\englishquote

\allowuchyph
Et maintenant voici l'ordre rduit \verb|\vers| qui 
s'utilise comme \verb|\verb| et doit permettre de couper une
longue chane de caractres {\tt ver\-batim}. Celle-ci
sera coupe par dfaut entre les mots (\vers|\notthyphenation|)
mais pourra l'tre  l'intrieur des mots si on prcise 
{\tt\backslash tthyphenation} comme ici : 
\vers|Longue Chane De Caractres  Couper Absolument| .
Les mots commenant en majuscule ne pourront tre coups
que si \vers|\uchyph=1|, valeur par dfaut dans le style
\verb|french| (\vers|\|\vers|allow|\-\vers|uchyph|) et utilise pour cette
partie uniquement.

\subsection*{Test de {\mdseries\tt\backslash fsc} 
({\mdseries\fsc{French CAPS}})}
Ce paragraphe teste la protection de certaines macro-instructions.

\disallowuchyph\notthyphenation
\newpage\english
\section{Other useful macros}
French patronymic names are printed in small capitals with the first
letter in uppercase. That is done with the \verb|\fsc| macro.
Another macro \verb|\lsc| is available to print all the word(s) in small
capitals, specially usefull for trademark or companies names.

\LaTeX{} is at the present time unable to print a \verb|\ref| as
a footnotemark, the command \verb|\refmark| is able to do that.

Also, \LaTeX{} doesn't offer any {\tt verbatim} style able to
hyphenate lines. The french style is able to do this with the
environment {\tt versatim} or the {\tt\backslash vers} order within a
line.

These environments allow to replace the {\tt tt} quoting
({\tt ` '}) by more realistic ones ({\tt\`{ } \'{ }}) with
the order {\tt\backslash noenglishquote}. Of course this environment
produce nothing different from the standard \verb|verbatim| when 
used in \verb|\english|:
{\overfullrule=5pt

\hfuzz=30pt
\begin{versatim}
1\iere{} ligne : cette ligne est bien trop
2\ieme{} ligne : le test terrible de...
3\ieme{} ligne : `ceci est le test des...
\end{versatim}

\SmsG%

And now this a test of a long string within a \verb|\vers|: 
``\vers|Longue Chane De Caractres  Couper A|
This string would be hyphenated only if someone said
\verb|\tthyphenation| previously.
}

\FmsG%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
\section{accents et {\mdseries\tt tabbing}}
Le style \vers|french| propose une solution pour pouvoir introduire
des lettres accentues dans un environnement \vers|tabbing| lorsque
le source \TeX{} est en 7bits ou utilise Ml\TeX{} ; 
il suffit pour cela de taper
\vers|\|\vers|tabbing|\-\vers|accents|\tabbingaccents. Voici un exemple :
\begin{tabbing}
Les TYPES : \=  Les matieres  \= Les genres \kill
Bidon :     \>   d'huile      \>$A'=B''$\` normal \\
Caisse :    \>   \`%
                   a outils     \> rustique \\
Toile :     \>   \a`%
                   a matelas    \> confort  
\end{tabbing}
\notabbingaccents

Il doit s'imprimer ainsi :
\begin{tabbing}
Les TYPES : \=  Les matieres  \= Les genres \kill
Bidon :     \>   d'huile      \>$A'=B''$\` normal \\
Caisse :    \>\a`a outils     \> rustique \\
Toile :     \>\a`a matelas    \> confort  \\
\end{tabbing}
Nous l'avions saisi comme suit :
\begin{versatim}
\begin{tabbing}
Les TYPES : \=  Les matieres  \= Les genres \kill
Bidon :     \>   d'huile      \>$A'=B''$\` normal \\
Caisse :    \>   \`%
                   a outils     \> rustique \\
Toile :     \>   \a`%
                   a matelas    \> confort  
\end{tabbing}
\end{versatim}

\section{Figurettes}
Le style \verb|french| propose un environnement spcial, appel 
\verb|figurette|,
 pour placer les figures  l'enfroit exact o 
ces figures se prsentent
dans le texte. Cela est particulirement utile pour des petites figures,
domaine o \LaTeX{} n'est pas adapt en standard. 
Pour raliser ceci :
  \begin{figurette}
        \center\fbox{essai}\endcenter% rajoute pour plain TeX
  \caption{Ceci est une figurette}
                 \label{figurette}
  \end{figurette}
Nous avons crit :
\begin{verbatim}
  \begin{figurette}
        \center\fbox{essai}
  \caption{Ceci est une figurette}
                 \label{figurette}
  \end{figurette}
\end{verbatim}

\newpage\english
\section{Diacritics \& {\mdseries\tt tabbing}}
There is no way in \LaTeX{} to put diacritics on letters
as we use them usually. Here is how is printed the {\tt tabbing}
you can find in the french part:

\begin{tabbing}
Les TYPES : \=  Les matieres  \= Les genres \kill
Bidon :     \>   d'huile      \>$A'=B''$\` normal \\
Caisse :    \>   \`%
                   a outils     \> rustique \\
Toile :     \>   \a`%
                   a matelas    \> confort  
\end{tabbing}

and that would normally be printed as follows:

\begin{tabbing}
Les TYPES : \=  Les matieres  \= Les genres \kill
Bidon :     \>   d'huile      \>$A'=B''$\` normal \\
Caisse :    \>\a`a outils     \> rustique \\
Toile :     \>\a`a matelas    \> confort  \\
\end{tabbing}

  \begin{figurette}
        \center\fbox{essai}\endcenter% rajoute pour plain TeX
  \caption{Originally a figurette}
        \label{engfig}
  \end{figurette}
\NL{7}

\section{Little figures}

The  \verb|french| style offer a special environment called
\verb|figurette| which allows to put little figures EXACTLY
where they appear in the text. This is a lack in the present
versions of \LaTeX{}. In English the environment \verb|figurette|
is replaced by an environment \verb|figure[h]|; look at figure
\ref{engfig} we tried to put here without success and we
typed like this:

\begin{verbatim}
  \begin{figurette}
        \center\fbox{essai}
  \caption{Originally a figurette}
        \label{engfig}
  \end{figurette}
\end{verbatim}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
\section{Lettrines}
\SmsG% lettrine reduite a 1 seule lettre !
Voici le test des lettrines proposes avec le style
\verb|french| en \LaTeX{} uniquemement :

\bigskip
\verb|                    \lettrine{Paris}|
\flettrine{Quoi ?} {Paris}
{sera toujours Paris}.  Ceci est une lettrine obtenue
grce au collgue allemand E.~{\sc Scha\-l\"uck} et
 aux diffrents codes qu'il
m'a donns.

 Ici dmarre une lettrine dans une citation.

\bigskip
\lettrine{Paris}
{sera toujours Paris}.  Ceci est une lettrine obtenue
grce au collgue allemand E.~{\sc Scha\-l\"uck} et
 aux diffrents codes qu'il
m'a donns.

\bigskip
\flettrine{Paris}
{sera toujours Paris}.  Ceci est une lettrine obtenue
grce au collgue allemand E.~{\sc Scha\-l\"uck} et
 aux diffrents codes qu'il
m'a donns.

et la citation se termine ici. 

\bigskip
\verb|     \font\lettrinefont=cmr17 scaled|\\
{\font\lettrinefont=cmr17 scaled \magstep5
\verb|   \magstep5\lettrine[`` {Paris} '']|
\lettrine[`` {Paris} '']
{sera toujours Paris}.  Ceci est une lettrine obtenue
grce au collgue allemand E.~{\sc Scha\-l\"uck} et
 aux diffrents codes qu'il
m'a donns.\par}

\bigskip
\verb|            \lettrine[ {Paris} ]|
\lettrine[ {Paris} ]
{sera toujours Paris}.  Ceci est une lettrine obtenue
grce au collgue allemand E.~{\sc Scha\-l\"uck} et
 aux diffrents codes qu'il
m'a donns.

\bigskip
\verb|             \flettrine[ {Paris} ]|
\flettrine[ {Paris} ] 
{sera toujours Paris}.  Ceci est une lettrine obtenue
grce au collgue allemand E.~{\sc Scha\-l\"uck} et
 aux diffrents codes qu'il
m'a donns. 

\bigskip
\tthyphenation\noindent
\vers|\|\vers|font\lettrinefont=cmti12 scaled| \!\vers| \magstep4\lettrine|
{\em \% vrification d'italique.}
\font\lettrinefont=cmti12 scaled \magstep4\lettrine
Blalbla {\bf je blablate},  tu blablates,  ils blablatent, b... 
(ceci est l'exemple mme de ce qu'il ne faut pas faire car ainsi
le mot n'est pas mis en petites capitales). Ceci avait pour but
de tester une police italique.

\bigskip
\lettrine{L'absurdit} de cette lettrine...

\notthyphenation
\FmsG

\newpage\english

\section{Illuminated letters}
%The French style allows to start a paragraph in an illuminated
%way, l
Look at the French part of this document because, in English,
these macros have no effect:

\bigskip
\verb|                    \lettrine{Paris}|
\flettrine{Quoi ?} {Paris}
{sera toujours Paris}.  Ceci est une lettrine obtenue
grce au collgue allemand E.~{\sc Scha\-l\"uck} et
 aux diffrents codes qu'il
m'a donns.

 Ici dmarre une lettrine dans une citation.

\bigskip
\lettrine{Paris}
{sera toujours Paris}.  Ceci est une lettrine obtenue
grce au collgue allemand E.~{\sc Scha\-l\"uck} et
 aux diffrents codes qu'il
m'a donns.

\bigskip
\flettrine{Paris}
{sera toujours Paris}.  Ceci est une lettrine obtenue
grce au collgue allemand E.~{\sc Scha\-l\"uck} et
 aux diffrents codes qu'il
m'a donns.

et la citation se termine ici. 

\bigskip
\verb|     \font\lettrinefont=cmr17 scaled|\\
{\font\lettrinefont=cmr17 scaled \magstep5
\verb|   \magstep5\lettrine[`` {Paris} '']|
\lettrine[`` {Paris} '']
{sera toujours Paris}.  Ceci est une lettrine obtenue
grce au collgue allemand E.~{\sc Scha\-l\"uck} et
 aux diffrents codes qu'il
m'a donns.\par}

\bigskip
\verb|            \lettrine[ {Paris} ]|
\lettrine[ {Paris} ]
{sera toujours Paris}.  Ceci est une lettrine obtenue
grce au collgue allemand E.~{\sc Scha\-l\"uck} et
 aux diffrents codes qu'il
m'a donns.

\bigskip
\verb|             \flettrine[ {Paris} ]|
\flettrine[ {Paris} ] 
{sera toujours Paris}.  Ceci est une lettrine obtenue
grce au collgue allemand E.~{\sc Scha\-l\"uck} et
 aux diffrents codes qu'il
m'a donns. 

\bigskip
\noindent
\verb|\font\lettrinefont=cmti12 scaled| \verb| \magstep4\lettrine|
%{\em \% vrification d'italique.}
\font\lettrinefont=cmti12 scaled \magstep4\lettrine
Blalbla {\bf je blablate},  tu blablates, ils blablatent, b... 
(ceci est l'exemple mme de ce qu'il ne faut pas faire car ainsi
le mot n'est pas mis en petites capitales). Ceci avait pour but
de tester une police italique.

\bigskip
\lettrine{L'absurdit} de cette lettrine...

\onecolumn\newpage%
\french
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%  === Il n'y a plus d'anglais au del de cette limite ===
\def\lastlinein#1{\expandafter\gdef\csname #1\endcsname{\relax}}
\lastlinein{english}% this is for frencht.tex
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage\french
\section{Lettrines automatiques ou non}

\bigskip
\lettrine{THIS IS A TEST} (a non-automatic one)
is a piece of text and some more and some more
and some more and some more and some more and some more and some more
and some more and some more and some more and some more and some more
and some more and some more.
                   
\bigskip
\flettrine{THIS IS A TEST} (a non-automatic one)
is a piece of text and some more and some more
and some more and some more and some more and some more and some more
and some more and some more and some more and some more and some more
and some more and some more.

\bigskip
\automaticlettrine
\lettrine{THIS IS A TEST} (a default automatic one)
is a piece of text and some more and some more
and some more and some more and some more and some more and some more
and some more and some more and some more and some more and some more
and some more and some more.

\bigskip
\flettrine{THIS IS A TEST} (a default automatic one)
is a piece of text and some more and some more
and some more and some more and some more and some more and some more
and some more and some more and some more and some more and some more
and some more and some more.


\bigskip
\def\lettrinefontname{cmr17}
\lettrine{THIS IS A TEST} (a cmr17 automatic one)
is a piece of text and some more and some more
and some more and some more and some more and some more and some more
and some more and some more and some more and some more and some more
and some more and some more.

\bigskip
\flettrine{THIS IS A TEST} (a cmr17 automatic one)
is a piece of text and some more and some more
and some more and some more and some more and some more and some more
and some more and some more and some more and some more and some more
and some more and some more.

\bigskip
\lettrine{Que vaut ce test ?} (en automatique)
is a piece of text and some more and some more
and some more and some more and some more and some more and some more
and some more and some more and some more and some more and some more
and some more and some more.

\bigskip
\noautomaticlettrine
\lettrine{THIS IS A TEST} (a non-automatic one)
is a piece of text and some more and some more
and some more and some more and some more and some more and some more
and some more and some more and some more and some more and some more
and some more and some more.
                   
\bigskip
\lettrine{Que vaut ce test ?} (non-automatique)
is a piece of text and some more and some more
and some more and some more and some more and some more and some more
and some more and some more and some more and some more and some more
and some more and some more.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage
\expandafter\ifx\csname frenchTeXmods\endcsname\relax
            \space% ce test ne marche pas en LaTeX standard.
\else
     \ifx\frenchTeXmods\empty\space% ni en dummy french !
     \else
\section{Tests aux limites en environnement \mdseries{\tt french}}

Vrifions qu'il est possible d'activer temporairement
quelques caractres sans perturber le traitement. Exemple :

\begin{verbatim}
{\catcode`\'=\active\catcode`\'=\active
 `` Test guillemets anglais ''
}
\end{verbatim}

{\catcode`\'=\active\catcode`\'=\active
 `` Test guillemets anglais ''
}
     \fi
\fi

Un cas bien spcial avait t rencontr avec l'extension \myverb|amstex|
qui utilisait une rfrence avec de mathmatiques dans une autre 
rfrence, ce qui entrainait une boucle infinie avec \myverb|french|. Voici 
le test en question : 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% this code generates a loop with versions of french < V3,42 %%%%%%
\makeatletter
\def\r@ref{{\ref{nulllabel}$'$}}{1}
\makeatother
\ref{ref}=1 $'$ % boucle garantie si < V3,42
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Autre test aux limites ?

\section{numrations : le prototype  order }
L'espacement des numrations franaises doit tre
 profondment modifi.
Un prototype exprimental est propos, il s'agit de l'environnement
\verb|order| pour \LaTeX{} uniquement dont voici un petit exemple :

\begin{order}
\item Bien regarder ;
\item l'espacement de chaque lment est spcial ;
\item l'espacement vertical est aussi diffrent.
\item A-D-O-P-T-E-Z \ \ L-E !
\end{order}

Ce prototype correspond-il bien aux numrations 
franaises ? (je ne
parle pas des marqueurs -- primo, secundo, etc. -- mais de la gestion
des espaces).

Les guillemets entrent aussi en ligne de compte :  Je citerai
3 cas trs importants :
\begin{order}
\item le premier cas ;
\item le second ;
\item le dernier.
\end{order}
qui sont [...] 

Ce mcanisme marche aussi avec l'environnement \verb|itemize|.


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\newpage
\section{ Autres tests }
Nous sommes ici en une colonne.

\bigskip
Voici un test d'encadr contenant le mode \verb|centering| : 
\begin{center}\fbox{%
\parbox{5cm}{\begin{center}Information : si vous voulez  me joindre,
mon tl.  : 69 35 85 40. Je n'y suis qu'aux horaires de
bureau.\end{center}}%
     }\end{center}

Bon ?\footnote{L'objet de cette note de bas de page est d'imprimer 
\primo du {\tt\backslash tt} contenant des infrieurs et suprieurs : 
{\tt XXXX> <===en \backslash tt} pour constater qu'il manque
{\em naturellement\/} un espace entre \myverb|>| et \myverb|<|
alors que  \secundo cela est parfait avec du {\tt verbatim} comme ici : 
\myverb|french V2 < french V3 > frenchOLD|% 
.}

\begin{table*}[h]
\caption{Dactylographie et typographie compares}
\label{frenchdactylo}
\vspace*{1cm}
\huge
\begin{tabular}{|r|r|}
\hline
dactylographie\ \ \ \ \hfill & \ \ \ typographie\ \ \ \hfill\\
\hline
    \verb|use \dots or \ldots| \ & use \dots\ or $\ldots{}$\ \\
        \verb|utilisez...|     \           & utilisez...\  \\
        \verb|semi-colon;|     \           &  semi-colon;\ \\
        \verb|point-virgule ;| \           & point-virgule ;\  \\
        \verb|My god!|         \           & My god!\ \\
        \verb|Mon dieu !|      \           & Mon Dieu !\ \\
        \verb|Why not?|        \           & Why not?\ \\
        \verb|Pourquoi pas ?|  \           & Pourquoi pas ?\ \\
        \verb|``I say''|       \           & ``I say''\ \\
        \verb| Je dis |    \           &  Je dis \ \\
        \verb|He said: Yes|    \           & He said: Yes\ \\
        \verb|Il dit : non|    \           & Il dit : non\ \\
\hline
\end{tabular}
\normalsize
\end{table*}

\newpage
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% C'est deja en 2.7.2
%\subsection{Guillemets dans les hauts de page}
%Nous avions saisi :
%\begin{verbatim}
%\section{ Autres tests }
%\end{verbatim}
%Le haut de page --~s'il existe~-- est-il correct ?

\subsection{{\mdseries\tt <{}} et {\mdseries\tt >{}} redfinis}

Mes utilisateurs sont terribles ! Ils veulent le beurre, l'argent du
beurre et aussi la fermire... S'ils codent 
\verb9\def\truc<#1|#2>{/#1 OU #2/}9
 ils veulent pouvoir obtenir
/Essai OU Erreur/ en saisissant \verb9\truc<Essai|Erreur>9. Faisons
l'essai rel :
{\def\truc<#1|#2>{/#1 OU #2/} \truc<Essai|Erreur>}

Encore plus fort : nous voulons avoir une notation de Backus-Naur 
c'est--dire des \verb|\rangle| et \verb|\langle|. Voici la 
dfinition que nous avons entre avant le \verb|\begin{document}| :
\begin{verbatim}
{\catcode`\<=\active\catcode`\>=\active%
\global\def<{\left\langle}\global\def>{\right\rangle}
}
\end{verbatim}

Pour tester l'efficacit de ces macros il suffit alors de faire
par exemple :
\begin{verbatim}
 $<assignement>$ 
\end{verbatim}
 condition que l'option \verb|\frenchguillemets| soit
active (en maths).

Essayons cela : 
% en fait il faut reactiver cela maintenant :
{%
 \gdef\myinf{\left\langle}%
 \gdef\mysup{\right\rangle}%
 $\frenchguillemets% on a \nofrenchguillemets avec AmSTeX
   <assignement>$ 
}%

\subsection{{\mdseries\tt\backslash special}}
L'inclusion d'une commande \verb|\special| est ici teste :\\
{%%%%%%%%%%%% attention : commentaires impossible dans cette partie.
 \catcode`\%=12
 {\tt\backslash special}\verb|{ps:|{\tt %%%
                                     }\verb| Texte bidon {`manuel:C;!?'}}|
 \special{ps:%%% 
                 Texte bidon {`manuel:C;!?'}}
}

\subsection{{\mdseries\tt\backslash refmark} dans un tableau}

O l'on reparle encore de \verb|\refmark|...

La note \ref{bas} est rfrence depuis le tableau ci-dessous, tout comme
les notes du tableau lui-mme.

  \begin{table}[htbp]
    \begin{center}
      \begin{tabular}{|c|l|}
        \hline
        Lettre & Utilisation\\
        \hline
        {\tt h} & petit blabla gentil et annodin \refmark{bas}\\
        {\tt l} & ici reblabla assez moyen\refmark{bas}$^,$\refmark{refnote}\\
        {\tt L} & autre grand grand grand blabla 
                  \footnote{La note du tableau  refmark .\label{refnote}}\\
        \hline
      \end{tabular}
      \caption{Le titre du tableau.}
  \end{center}
\end{table}

En dehors du tableau on peut faire appel\footnote{La note de page.\label{bas}}
 une note qui est, par contre, rfrence dans le tableau. Tout cela
est ralis grce  l'ordre \verb|\refmark| introduit par l'extension
\texttt{french}.

\subsection{Bibliographie}
Voyons maintenant la bibliographie.
Dans \cite{`manuel:Gaulle;!?'} on trouvera...
\nocite{`merci:Ronan;!?'} 
Par contre  \cite[pp.1--3, X \& consorts]{blabla} est beaucoup plus fourni
en exemples et commentaires... Mais dans 
\cite[p. 25 \S~13 {{\it et seq.}}]{`torture:Gaulle;!?'} toutes ces informations
sont plus dtailles.

Ce qui suit n'est pas un exemple de belle bibliographie, juste une
vrification de bon fonctionnement.

\bibliographystyle{plain}
\begin{thebibliography}{Knuth 99}
\bibitem[Knuth 99]{blabla} Le \TeX book ou la    bible  
des gourous \TeX
\bibitem{`manuel:Gaulle;!?'} B. {\sc Gaulle}, {\em 
Le rsultat d'une  {\em dure}  journe de travail !}
\bibitem{`merci:Ronan;!?'} R. {\sc Keryell}, {\em 
Le gentil normalien qui m'a beaucoup aid grce  sa thse...}
\bibitem{`torture:Gaulle;!?'} B. {\sc Gaulle}, {\em 
Notice d'utilisation du style french}, 1991.
\end{thebibliography}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\listoffigures
\listoftables
\glossary{Faon cordon bleu}
\glossaires
\section*{Glossaire des mots techniques}
\printglossary[\jobname.glo]

\noindent -- magnification

\noindent -- caractres spciaux : \NL1

{\huge%\frenchmacros n'est pas utile ici
\begin{tabular}{|c|c|}
\hline
Pour imprimer ceci & Saisir cela\\ \hline
\at                & \verb|\at|\\ \hline
{\tt\vert}         & \verb|\tt\vert|\\ \hline
\tilde             & \verb|\tilde|\\ \hline
{\tt\backslash}    & \verb|\tt\backslash|\\ \hline
\chap              & \verb|\chap|\\ \hline
            & \verb|\degre| \\ \hline
\degres            & \verb|\degres| \\ \hline
\normalsize
1\ier{} tage        & \verb|1\ier{} tage| \\ \hline
\normalsize
(2\ieme\!)         & \verb|(2\ieme\!)| \\ \hline
\primo             & \verb|\primo|\\ \hline
\secundo)          & \verb|\secundo)|\\ 
\hline
\end{tabular}
} \NL1

On notera que le caractre \verb|\degre| n'est pas le signe typographique
usuellement utilis pour exprimer 
des degrs mais que \verb|\degres| est
plus conforme  la tradition. On remarque bien les diffrences entre
\verb|\primo| et \verb|\secundo)| 
(la forme parenthse n'est pas valable
en {\em belle} typographie franaise).
\primo... \secundo... \tertio... \quarto...
\primo)... \secundo)... \tertio)... \quarto)...

\section*{Glossaire argotique}
Le pied

\printindex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\part{Ce qui ne marche pas (bien)...}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\chapter{Problmes  rsoudre}

Cette partie ne comporte que des  anomalies  que l'auteur espre
rsoudre d'ici quelques temps, 
grce  votre aide... peut tre ?

\section{Le  2 points }
Le  2 points  a une fcheuse tendance 
 rester en bas de page lorsqu'il est
suivi d'un {\tt verbatim}. Il serait souhaitable d'en trouver la raison.

\section{Les guillemets}

Le problme avec \verb|quotation| page \pageref{quotation}.

Et la perte d'informations
dans le cas de  \verb|\noeveryparguillemets| lorsque l'on dmarre
une citation dans un paragraphe dj commenc.

Vraiment trs {\em fragile} ce \verb|\noeveryparguillemets| ! (Notes
de bas de page ou en marge produisent des dsastres).

Il faudrait tudier le curieux espacement 
rencontr en \vers|plain| \TeX{}
page \pageref{etiord}.

%%%% il existe maintenant relsize.sty  27/2/97
%\section{{\mdseries\tt\backslash small}}
%\verb|\small| ne marche videment pas dans toutes les situations de tailles
%de caractres, il faudra donc trouver LA bonne solution pour les macros
%fournies avec \verb|\frenchmacros|. Il existe bien le style \verb|smaller|
%mais c'est du... bricolage.

\section{Abrviations}
Les abrviations sont enregistres dans le fichier telles qu'elles
apparaissent dans le lexique. Or certaines abrviations commencent
par une majuscule. Il faut donc que la personne saisisse le mot
avec une majuscule. En cas d'erreur le style ne trouvera pas
l'abrviation : c'est absurde.

\section{Le cas des styles mal crits...}

... ne se rsoud souvent que par la modification du style en question.
Cela a t le cas de nombreux styles depuis le dbut du style
\verb|french|. Certains cas sont inssolubles, par exemple : 
le style \verb|here.sty| 
redfinissait  au vol  
l'ordre \LaTeX{} \verb|\table| au lieu
de modifier l'existant ; cela posait un rel problme  \verb|french|
qui se base sur la modification d'une commande \verb|\table|
existante. Heureusement ce style prim peut tre remplac
aventageusement par \verb|float|.

%Il parait que le point d'exclamation  actif  du \verb|french|
%pose un problme dans l'environnement \LaTeX2$\varepsilon$.

\chapter{Amliorations  envisager}

\section{Index et bibliographie}
Deux thmes qui n'ont que trs peu t abords.

\section{Abrviations}
Il est fcheux d'avoir  connatre quelles sont les mots
abrgeables pour pouvoir demander leur abrviation ; autant les saisir
correctement ds le dbut...

Faut-il arrter \TeX{} quand une abrviation 
n'est pas trouve et offrir
la possibilit de lister toutes les abrviations ?

\annexes
\hsize=18cm

\chapter{Copyright}
\listing{copyrigh.tex}

\chapter{Le fichier \mdseries{\tt language.dat}}
\listing{language.dat}

\chapter{Le fichier \mdseries{\tt frabbrev.tex}}
\listing{frabbrev.tex}

\chapter{Le fichier \mdseries{\tt french.dmy}}
\listing{french.dmy}

\chapter{Le fichier \mdseries{\tt french.chk}}
\listing{french.chk}

\chapter{Un style english (\mdseries{\tt fenglish.doc})}
\listing{fenglish.doc}

\chapter{Le code de l'option \mdseries{\tt french}}

\listing{french.doc}

\newpage
\hsize=15cm
\tableofcontents
\english %=\relax if english text (see \lastlinein)
\endinput
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
